<?php $gallery = (function_exists('fw_get_db_post_option')) ? fw_get_db_post_option($post->ID, 'd_gallery') : ''; ?>
<div class="blog-article" itemscope itemtype="https://schema.org/Blog">
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> itemscope itemtype="http://schema.org/BlogPosting">
		<div class="flw" itemprop="mainEntityOfPage">
			<?php love_pet_structured_data();/*support structured data - SEO optimize*/ ?>
			<?php /*post thumbnail*/
				if(!is_single()){
					$thumbnail = get_the_post_thumbnail_url();
					if(!empty($thumbnail)){
						global $post;
						$img_id  = get_post_thumbnail_id($post->ID);
						$img_alt = (get_post_meta($img_id,'_wp_attachment_image_alt', true) != '') ? get_post_meta($img_id,'_wp_attachment_image_alt', true) : 'Blog thumbnail'; ?>
						<a href="<?php the_permalink(); ?>" class="blog-post-cover" itemprop="image" itemscope itemtype="http://schema.org/ImageObject">
							<img src="<?php echo esc_url($thumbnail); ?>" alt="<?php echo esc_attr($img_alt); ?>">
							<meta itemprop="url" content="<?php echo esc_url($thumbnail); ?>" />
							<meta itemprop="width" content="770" />
							<meta itemprop="height" content="320" />
						</a>
					<?php } ?>
			<?php }else{/*single post type*/ ?>
					<?php if(!empty($gallery)): ?>
						<div class="ht-post-type theme-blog-crs">
							<?php foreach($gallery as $key){
								$imgs_alt = (get_post_meta($key['attachment_id'],'_wp_attachment_image_alt', true) != '') ? get_post_meta($key['attachment_id'],'_wp_attachment_image_alt', true) : 'Carousel image';
								echo '<img src="' . esc_url($key['url']) . '" alt="' . esc_attr($imgs_alt) . '" />';
							} ?>
						</div>
					<?php endif; ?>
			<?php } ?>
			<?php /*post content*/ ?>
			<div class="post-content">
				<?php if(is_sticky() && !is_single()){ echo '<span class="sticky-text">' . esc_html__('Featured', 'love-pet') . '</span>';} ?>
				<?php $default_title = get_the_title();
					$post_title = !empty($default_title) ? get_the_title() : 'This post has no title'; ?>
				<?php if(!is_single()): ?>
					<h1 class="post-tit" itemprop="headline">
						<a itemprop="url" href="<?php the_permalink(); ?>"><?php echo esc_html($post_title); ?></a>
					</h1>
				<?php endif; ?>
				<?php love_pet_post_info();/*blog post info*/ ?>
			<?php if(!is_single()): ?>
					<p class="blog-post-sumary" itemprop="description"><?php echo wp_trim_words(get_the_content(), 20, '...'); ?></p>
					<?php if(!is_sticky()):/*author*/ ?>
						<div class="post-author">
							<strong class="author-av"><?php echo get_avatar( get_the_author_meta( 'ID' ), 36 ); ?></strong>
							<strong class="author-name" itemprop="author"><?php esc_html_e('By', 'love-pet'); ?> <?php the_author_posts_link(); ?></strong>
						</div>
					<?php endif; ?>
				</div><?php /*end post content blog list*/ ?>
			<?php else: ?>
					<div class="blog-post-single" itemprop="articleBody"><?php the_content(); wp_link_pages(); ?></div>
					<div class="tagcloud screen-reader-text" itemprop="keywords"><?php echo the_tags($before = '', $sep = '', $after = ''); ?></div>
					<?php love_pet_setPostViews(get_the_ID());/*post view counter*/ ?>
				</div><?php /*end post content blog single*/ ?>
				<?php love_pet_theme_post_nav(); ?>
				<?php love_pet_author_card();/*author card*/ ?>
				<?php /*comment*/
					if ( comments_open() || get_comments_number() ) {
						comments_template();
					} ?>				
			<?php endif; ?>
		</div>
	</article>
</div>