<?php /*BREADCRUMBS===================================================================================================*/

/*label*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'custom',
    'settings'  => 'kirki_label_bread_label',
    'label'     => esc_attr__( 'Custom your page header here', 'love-pet' ),
    'section'   => 'c_crumbs',
    'partial_refresh' => array(
		'bread_edit_location' => array(
			'selector'        => '#bread-edit-location',
			'render_callback' => 'love_pet_bread_edit_location',
		),
	),
));

/*en/disable page breadcumbs*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'switch',
	'settings'  => 'c_page_header',
	'label'     => esc_attr__( 'On/Off page header', 'love-pet' ),
	'section'   => 'c_crumbs',
	'default'   => '1',
	'transport' => 'refresh',
	'choices' => array(
		'yes' => esc_attr__('Yes', 'love-pet'),
		'no' => esc_attr__('No', 'love-pet'),
	),
));

/*breadcrumbs display*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'switch',
	'settings'  => 'c_crumbs',
	'section'   => 'c_crumbs',
	'label'     => esc_attr__( 'On/off navigation bar', 'love-pet' ),
	'default'     => '1',
	'choices' => array(
		'on'  => esc_attr__( 'On', 'love-pet' ),
		'off' => esc_attr__( 'Off', 'love-pet' )
	),
	'active_callback'  => array(
		array(
			'setting'  => 'c_page_header',
			'operator' => '==',
			'value'    => '1',
		),
	),
));

/*background breadcrumb*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'radio',
	'settings'  => 'c_header_bg',
	'label'     => esc_attr__( 'Background', 'love-pet' ),
	'description' => esc_attr__('If select background image option, the theme recommends a header size of at least 1170 width pixels', 'love-pet'),
	'section'   => 'c_crumbs',
	'default'   => 'bg_color',
	'choices'   => array(
		'bg_image' => esc_attr__( 'Use Image', 'love-pet' ),
		'bg_color' => esc_attr__( 'Use Solid Color', 'love-pet' ),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'c_page_header',
			'operator' => '==',
			'value'    => '1',
		),
	),
));
//use img
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'cropped_image',
	'settings'  => 'c_header_bg_image',
	'label'     => esc_attr__( 'Upload Image', 'love-pet' ),
	'section'   => 'c_crumbs',
	'width'	=> 1920,
	'height' => 280,
	'description'   => esc_attr__( 'Upload background image of page header here!', 'love-pet' ),
	'output'     => array(
		array(
			'element' => '.theme-breadcrumb',
			'property' => 'background-image',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'c_page_header',
			'operator' => '==',
			'value'    => '1',
		),
		array(
			'setting'  => 'c_header_bg',
			'operator' => '==',
			'value'    => 'bg_image',
		),
	)
));
//use css
love_pet_Kirki::add_field( 'love-pet', array(
  	'type'        => 'color',
	'settings'    => 'c_header_bg_color',
	'label'       => esc_attr__( 'Select Color', 'love-pet' ),
	'section'     => 'c_crumbs',
	'default'     => '#ebf8e6',
	'output'     => array(
		array(
			'element' => '.theme-breadcrumb',
			'property' => 'background-color',
		)
	),
  	'active_callback'  => array(
		array(
			'setting'  => 'c_page_header',
			'operator' => '==',
			'value'    => '1',
		),
		array(
			'setting'  => 'c_header_bg',
			'operator' => '!=',
			'value'    => 'bg_image',
		),
	)
));