<?php /*FOOTER==========================================================================================================*/


/*label*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'custom',
	'settings'  => 'kirki_label_ft_widget',
	'label'     => esc_attr__( 'Footer widget', 'love-pet' ),
	'section'   => 'c_footer',
	'partial_refresh' => array(
		'footer_edit_location' => array(
			'selector'        => '#footer-edit-location',
			'render_callback' => 'love_pet_footer_edit_location',
		),
	),
));

/*footer display*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'switch',
	'label'     => esc_attr__( 'On/off footer widget', 'love-pet' ),
	'settings'  => 'c_footer_display',
	'section'   => 'c_footer',
	'default'   => '1',
	'choices' => array(
		'on' => esc_attr__('On', 'love-pet'),
		'off' => esc_attr__('Off', 'love-pet'),
	)
));

/*footer background*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'radio',
	'settings'  => 'c_footer_bg',
	'label'     => esc_attr__( 'Background', 'love-pet' ),
	'description' => esc_attr__('If select background image option, the theme recommends a header size of at least 1170 width pixels', 'love-pet'),
	'section'   => 'c_footer',
	'default'   => 'ft_color',
	'choices'   => array(
		'ft_image' => esc_attr__( 'Use Image', 'love-pet' ),
		'ft_color' => esc_attr__( 'Use Solid Color', 'love-pet' ),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'c_footer_display',
			'operator' => '==',
			'value'    => '1',
		),
	),
));

//use img
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'image',
	'settings'  => 'ft_bg_img',
	'label'     => esc_attr__( 'Upload Image', 'love-pet' ),
	'section'   => 'c_footer',
	'description'   => esc_attr__( 'Upload background image of page header here!', 'love-pet' ),
	'output' => array(
		array(
			'element' => '.theme-footer',
			'function' => 'css',
			'property' => 'background-image'
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'c_footer_display',
			'operator' => '==',
			'value'    => '1',
		),
		array(
			'setting'  => 'c_footer_bg',
			'operator' => '==',
			'value'    => 'ft_image',
		),
	)
));

//use css
love_pet_Kirki::add_field( 'love-pet', array(
	'type'        => 'color',
	'settings'    => 'ft_bg_color',
	'label'       => esc_attr__( 'Select Color', 'love-pet' ),
	'section'     => 'c_footer',
	'default'     => '#262626',
	'transport'   => 'auto',
	'output' => array(
		array(
			'element' => '.theme-footer',
			'function' => 'css',
			'property' => 'background-color'
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'c_footer_display',
			'operator' => '==',
			'value'    => '1',
		),
		array(
			'setting'  => 'c_footer_bg',
			'operator' => '==',
			'value'    => 'ft_color',
		),
	)
));

/*footer heading text color*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'color',
	'settings'  => 'c_ft_headingt_text_color',
	'label'     => esc_attr__( 'Widget title color', 'love-pet' ),
	'section'   => 'c_footer',
	'default'   => '#ffffff',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.theme-footer-widget .widget .footer-widget-title',
			'property' => 'color'
		)
	),
));

/*footer text color*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'color',
	'settings'  => 'c_ft_text_color',
	'label'     => esc_attr__( 'Widget text color', 'love-pet' ),
	'section'   => 'c_footer',
	'default'   => '#888888',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' =>
				'.theme-footer-widget .widget *:not(#mc-embedded-subscribe):not(.footer-widget-title)',
			'function' => 'css',
			'property' => 'color'
		)
	),
));

/*label*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'custom',
	'settings'  => 'kirki_label_copyright',
	'label'     => esc_attr__( 'Footer infomation', 'love-pet' ),
	'section'   => 'c_footer',
));

/*copyright background*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'color',
	'settings'  => 'c_copyright_bg',
	'label'     => esc_attr__( 'Background color', 'love-pet' ),
	'section'   => 'c_footer',
	'default'   => '#1c1c1c',
	'choices'     => array(
		'alpha' => true,
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.footer-infomation',
			'function' => 'css',
			'property' => 'background-color'
		)
	),
));

/*copyright text color*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'color',
	'settings'  => 'c_copyright_text_color',
	'label'     => esc_attr__( 'Text color', 'love-pet' ),
	'section'   => 'c_footer',
	'default'   => '#888888',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.footer-infomation *',
			'function' => 'css',
			'property' => 'color'
		)
	),
));

/*copyright border color*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'color',
	'settings'  => 'c_copyright_border_top',
	'label'     => esc_attr__( 'Border color', 'love-pet' ),
	'section'   => 'c_footer',
	'choices'     => array(
		'alpha' => true,
	),
	'default'   => '#1c1c1c',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.footer-infomation',
			'function' => 'css',
			'property' => 'border-top-color'
		)
	),
));

/*copyright*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'textarea',
	'settings'  => 'c_ft_left',
	'section'   => 'c_footer',
	'label'     => esc_attr__( 'Content left', 'love-pet' ),
	'default' => 'Love Pet by Haintheme &copy; 2016. All Rights Reserved.',
));

/*custom link*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'textarea',
	'settings'  => 'c_ft_right',
	'section'   => 'c_footer',
	'label'     => esc_attr__( 'Content right', 'love-pet' ),
));