<?php /*HEADER LAYOUT=================================================================================================*/

/*Header layout 1 ==================================================*/

/*background*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'color',
    'settings'  => 'hd1_bg',
    'label'     => esc_attr__( 'Header background color', 'love-pet' ),
    'section'   => 'header_1',
    'default' => '#ffffff',
    'transport' => 'auto',
    'choices'     => array(
		'alpha' => true,
	),
    'output' => array(
        array(
            'element' => '.header-layout-1 .theme-header-box',
            'property' => 'background-color',
            'media_query' => '@media (min-width: 992px)'
        )
    ),
    'partial_refresh' => array(
        'hd1_edit_location' => array(
            'selector'        => '#hd1-edit-location',
            'render_callback' => 'love_pet_header_edit_location',
        ),
    ),
));

/*menu style*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'switch',
    'settings'  => 'hd1_menu',
    'label'     => esc_attr__( 'Custom menu style?', 'love-pet' ),
    'section'   => 'header_1',
    'default' => '0',
    'choices'     => array(
        'on'  => esc_attr__( 'Yes', 'love-pet' ),
        'off' => esc_attr__( 'No', 'love-pet' ),
    ),
));

/*highlight menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'color',
    'settings'  => 'hd1_menu_highlight',
    'label'     => esc_attr__( 'Highlight menu color', 'love-pet' ),
    'section'   => 'header_1',
    'transport' => 'auto',
    'default' => '#222222',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-1 .theme-primary-menu > li:not(.menu-item-has-mega-menu):hover > a',
                '.header-layout-1 .theme-primary-menu > li.current-menu-item > a',
                '.header-layout-1 .theme-primary-menu > li.current-menu-ancestor > a',
                '.header-layout-1 .theme-primary-menu > li.current-menu-parent > a',
                '.header-layout-1 .theme-primary-menu > li.current_page_parent > a',
                '.header-layout-1 .theme-primary-menu > li.current_page_ancestor > a',
                '.header-layout-1 .theme-primary-menu > li > a:hover',
                '.header-layout-1 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a:hover',
                '.header-layout-1 .theme-primary-menu .mega-menu-row > li > a:hover',
                '.header-layout-1 .theme-primary-menu li.menu-item-has-mega-menu:hover > a',
                '.header-layout-1 .theme-primary-menu .mega-menu-row .sub-menu a:hover',
                '.header-layout-1 #ht-search-btn:hover',
				'.header-layout-1 .shopping-cart-icon:hover',
				'.header-layout-1 .theme-shopping-cart:hover .shopping-cart-icon'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd1_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*heading menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd1_heading_menu',
    'label'     => esc_attr__( 'Heading menu font style', 'love-pet' ),
    'section'   => 'header_1',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Quicksand',
        'variant'        => '700',
        'font-size'      => '14px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#767676',
        'text-transform' => 'none'
    ),
    'output' => array(
        array(
            'element' => array(
                '.header-layout-1 .theme-primary-menu > li > a',
                '.header-layout-1 #ht-search-btn',
				'.header-layout-1 .shopping-cart-icon'
            ),
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd1_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*sub menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd1_submenu',
    'label'     => esc_attr__( 'Submenu font style', 'love-pet' ),
    'section'   => 'header_1',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Lato',
        'variant'        => 'regular',
        'font-size'      => '14px',
        'line-height' => '24px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#232323',
        'text-transform' => 'none'
    ),
    'output' => array(
        array(
            'element' => '.header-layout-1 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd1_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*heading mega menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd1_heading_mega',
    'label'     => esc_attr__( 'Heading mega menu font style', 'love-pet' ),
    'section'   => 'header_1',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Quicksand',
        'variant'        => '700',
        'font-size'      => '14px',
        'line-height' => '24px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#232323',
        'text-transform' => 'uppercase'
    ),
    'output' => array(
        array(
            'element' => '.header-layout-1 .theme-primary-menu .mega-menu-row > li > a',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd1_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*sub mega menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd1_submega',
    'label'     => esc_attr__( 'Submega menu font style', 'love-pet' ),
    'section'   => 'header_1',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Lato',
        'variant'        => 'regular',
        'font-size'      => '13px',
        'line-height' => '24px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#696767',
        'text-transform' => 'none'
    ),
    'output' => array(
        array(
            'element' => '.header-layout-1 .theme-primary-menu .mega-menu-row .sub-menu a',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd1_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*button icon*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'text',
    'settings'  => 'hd1_btn_icon',
    'label'     => esc_attr__( 'Button icon', 'love-pet' ),
    'description' => esc_attr__( 'You can find more icon here: http://ionicons.com/ or http://fontawesome.io/icons/', 'love-pet' ),
    'section'   => 'header_1',
));

/*button label*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'text',
    'settings'  => 'hd1_btn',
    'label'     => esc_attr__( 'Button label', 'love-pet' ),
    'section'   => 'header_1',
));

/*button link*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'text',
	'settings'  => 'hd1_btn_link',
	'label'     => esc_attr__( 'Button link', 'love-pet' ),
	'section'   => 'header_1',
));

/*Header layout 2 ==================================================*/

/*background*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'color',
    'settings'  => 'hd2_bg',
    'label'     => esc_attr__( 'Header background color', 'love-pet' ),
    'section'   => 'header_2',
    'default' => '#ffffff',
    'choices'     => array(
		'alpha' => true,
	),
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => '.header-layout-2 .theme-header-box',
            'property' => 'background-color',
            'media_query' => '@media (min-width: 992px)'
        )
    ),
    'partial_refresh' => array(
        'hd2_edit_location' => array(
            'selector'        => '#hd2-edit-location',
            'render_callback' => 'love_pet_header_edit_location',
        ),
    ),
));

/*topbar switch*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'switch',
    'settings'  => 'hd2_topbar_display',
    'label'     => esc_attr__( 'Display topbar?', 'love-pet' ),
    'section'   => 'header_2',
	'default' => '0',
	'choices' => array(
		'on' => esc_attr__( 'Yes', 'love-pet' ),
		'off' => esc_attr__( 'No', 'love-pet' ),
	)
));

/*topbar background*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'color',
    'settings'  => 'hd2_topbar_bg',
    'label'     => esc_attr__( 'Topbar background color', 'love-pet' ),
    'section'   => 'header_2',
    'default' => '#f1f1f1',
    'choices'     => array(
		'alpha' => true,
	),
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => '.header-layout-2 .theme-topbar',
            'property' => 'background-color',
            'media_query' => '@media (min-width: 992px)'
        )
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd2_topbar_display',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*topbar content*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'repeater',
    'settings'  => 'hd2_topbar',
    'label'     => esc_attr__( 'Topbar content', 'love-pet' ),
    'section'   => 'header_2',
	'row_label' => array(
		'type' => 'text',
		'value' => esc_attr__('Field', 'love-pet' ),
	),
	'choices' => array(
		'limit' => 3
	),
	'fields' => array(
		'tb_text' => array(
			'type'        => 'textarea',
			'label'       => esc_attr__( 'Enter some text', 'love-pet' ),
			'default'     => '',
		),
	),
	'active_callback'  => array(
        array(
            'setting'  => 'hd2_topbar_display',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*topbar content*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd2_topbar_font',
    'label'     => esc_attr__( 'Topbar font style', 'love-pet' ),
    'section'   => 'header_2',
    'transport' => 'auto',
	'default'     => array(
        'font-family'    => 'Lato',
        'variant'        => 'regular',
        'font-size'      => '14px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#888888',
        'text-transform' => 'none'
    ),
    'output' => array(
        array(
            'element' =>
                '.header-layout-2 .theme-topbar-item',
        ),
    ),
	'active_callback'  => array(
        array(
            'setting'  => 'hd2_topbar_display',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*menu style*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'switch',
    'settings'  => 'hd2_menu',
    'label'     => esc_attr__( 'Custom menu style?', 'love-pet' ),
    'section'   => 'header_2',
    'default' => '0',
    'choices'     => array(
        'on'  => esc_attr__( 'Yes', 'love-pet' ),
        'off' => esc_attr__( 'No', 'love-pet' ),
    ),
));

/*highlight menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'color',
    'settings'  => 'hd2_menu_highlight',
    'label'     => esc_attr__( 'Highlight menu color', 'love-pet' ),
    'section'   => 'header_2',
    'transport' => 'auto',
    'default' => '#4acbbc',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-2 .theme-primary-menu > li:not(.menu-item-has-mega-menu):hover > a',
                '.header-layout-2 .theme-primary-menu > li.current-menu-item > a',
                '.header-layout-2 .theme-primary-menu > li.current-menu-ancestor > a',
                '.header-layout-2 .theme-primary-menu > li.current-menu-parent > a',
                '.header-layout-2 .theme-primary-menu > li.current_page_parent > a',
                '.header-layout-2 .theme-primary-menu > li.current_page_ancestor > a',
                '.header-layout-2 .theme-primary-menu > li > a:hover',
                '.header-layout-2 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a:hover',
                '.header-layout-2 .theme-primary-menu .mega-menu-row > li > a:hover',
                '.header-layout-2 .theme-primary-menu li.menu-item-has-mega-menu:hover > a',
                '.header-layout-2 .theme-primary-menu .mega-menu-row .sub-menu a:hover',
                '.header-layout-2 #ht-search-btn:hover',
                '.header-layout-2 .shopping-cart-icon:hover',
                '.header-layout-2 .theme-shopping-cart:hover .shopping-cart-icon'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd2_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*heading menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd2_heading_menu',
    'label'     => esc_attr__( 'Heading menu font style', 'love-pet' ),
    'section'   => 'header_2',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Quicksand',
        'variant'        => '700',
        'font-size'      => '14px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#222222',
        'text-transform' => 'uppercase'
    ),
    'output' => array(
        array(
            'element' => array(
                '.header-layout-2 .theme-primary-menu > li > a',
                '.header-layout-2 #ht-search-btn',
                '.header-layout-2 .shopping-cart-icon'
            ),
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd2_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*sub menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd2_submenu',
    'label'     => esc_attr__( 'Submenu font style', 'love-pet' ),
    'section'   => 'header_2',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Lato',
        'variant'        => 'regular',
        'font-size'      => '14px',
        'line-height' => '24px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#232323',
        'text-transform' => 'none'
    ),
    'output' => array(
        array(
            'element' => '.header-layout-2 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd2_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*heading mega menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd2_heading_mega',
    'label'     => esc_attr__( 'Heading mega menu font style', 'love-pet' ),
    'section'   => 'header_2',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Quicksand',
        'variant'        => '700',
        'font-size'      => '14px',
        'line-height' => '24px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#232323',
        'text-transform' => 'uppercase'
    ),
    'output' => array(
        array(
            'element' => '.header-layout-2 .theme-primary-menu .mega-menu-row > li > a',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd2_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*sub mega menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd2_submega',
    'label'     => esc_attr__( 'Submega menu font style', 'love-pet' ),
    'section'   => 'header_2',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Lato',
        'variant'        => 'regular',
        'font-size'      => '13px',
        'line-height' => '24px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#696767',
        'text-transform' => 'none'
    ),
    'output' => array(
        array(
            'element' => '.header-layout-2 .theme-primary-menu .mega-menu-row .sub-menu a',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd2_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*Header layout 3 ==================================================*/

/*label*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'color',
    'settings'  => 'hd3_bg',
    'label'     => esc_attr__( 'Header background color', 'love-pet' ),
    'section'   => 'header_3',
	'transport' => 'auto',
	'default' => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => '.header-layout-3 .theme-header-box',
			'property' => 'background-color',
            'media_query' => '@media (min-width: 992px)'
		)
	),
    'partial_refresh' => array(
        'hd3_edit_location' => array(
            'selector'        => '#hd3-edit-location',
            'render_callback' => 'love_pet_header_edit_location',
        ),
    ),
));

/*menu style*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'switch',
    'settings'  => 'hd3_menu',
    'label'     => esc_attr__( 'Custom menu style?', 'love-pet' ),
    'section'   => 'header_3',
    'default' => '0',
    'choices'     => array(
        'on'  => esc_attr__( 'Yes', 'love-pet' ),
        'off' => esc_attr__( 'No', 'love-pet' ),
    ),
));

/*highlight menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'color',
    'settings'  => 'hd3_menu_highlight',
    'label'     => esc_attr__( 'Highlight menu color', 'love-pet' ),
    'section'   => 'header_3',
    'transport' => 'auto',
    'default' => '#222222',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-3 .theme-primary-menu > li:not(.menu-item-has-mega-menu):hover > a',
				'.header-layout-3 .theme-primary-menu > li.current-menu-item > a',
				'.header-layout-3 .theme-primary-menu > li.current-menu-ancestor > a',
				'.header-layout-3 .theme-primary-menu > li.current-menu-parent > a',
				'.header-layout-3 .theme-primary-menu > li.current_page_parent > a',
				'.header-layout-3 .theme-primary-menu > li.current_page_ancestor > a',
				'.header-layout-3 .theme-primary-menu > li > a:hover',
				'.header-layout-3 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a:hover',
				'.header-layout-3 .theme-primary-menu .mega-menu-row > li > a:hover',
				'.header-layout-3 .theme-primary-menu li.menu-item-has-mega-menu:hover > a',
				'.header-layout-3 .theme-primary-menu .mega-menu-row .sub-menu a:hover',
				'.header-layout-3 #ht-search-btn:hover',
				'.header-layout-3 .shopping-cart-icon:hover',
				'.header-layout-3 .theme-shopping-cart:hover .shopping-cart-icon'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd3_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*heading menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd3_heading_menu',
    'label'     => esc_attr__( 'Heading menu font style', 'love-pet' ),
    'section'   => 'header_3',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Quicksand',
        'variant'        => '700',
        'font-size'      => '14px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#767676',
        'text-transform' => 'uppercase'
    ),
    'output' => array(
        array(
            'element' => array(
                '.header-layout-3 .theme-primary-menu > li > a',
                '.header-layout-3 #ht-search-btn',
				'.header-layout-3 .shopping-cart-icon'
            ),
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd3_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*sub menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd3_submenu',
    'label'     => esc_attr__( 'Submenu font style', 'love-pet' ),
    'section'   => 'header_3',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Lato',
        'variant'        => 'regular',
        'font-size'      => '14px',
        'line-height' => '24px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#232323',
        'text-transform' => 'none'
    ),
    'output' => array(
        array(
            'element' => '.header-layout-3 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd3_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*heading mega menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd3_heading_mega',
    'label'     => esc_attr__( 'Heading mega menu font style', 'love-pet' ),
    'section'   => 'header_3',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Quicksand',
        'variant'        => '700',
        'font-size'      => '14px',
        'line-height' => '24px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#232323',
        'text-transform' => 'uppercase'
    ),
    'output' => array(
        array(
            'element' => '.header-layout-3 .theme-primary-menu .mega-menu-row > li > a',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd3_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*sub mega menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd3_submega',
    'label'     => esc_attr__( 'Submega menu font style', 'love-pet' ),
    'section'   => 'header_3',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Lato',
        'variant'        => 'regular',
        'font-size'      => '13px',
        'line-height' => '24px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#696767',
        'text-transform' => 'none'
    ),
    'output' => array(
        array(
            'element' => '.header-layout-3 .theme-primary-menu .mega-menu-row .sub-menu a',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd3_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*Header layout 4 ==================================================*/

/*background*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'color',
    'settings'  => 'hd4_bg',
    'label'     => esc_attr__( 'Header background color', 'love-pet' ),
    'section'   => 'header_4',
    'default' => '#ffffff',
    'choices'     => array(
		'alpha' => true,
	),
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => '.header-layout-4 .theme-header-box',
            'property' => 'background-color',
            'media_query' => '@media (min-width: 992px)'
        )
    ),
    'partial_refresh' => array(
        'hd4_edit_location' => array(
            'selector'        => '#hd4-edit-location',
            'render_callback' => 'love_pet_header_edit_location',
        ),
    ),
));

/*topbar switch*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'switch',
    'settings'  => 'hd4_topbar_display',
    'label'     => esc_attr__( 'Display topbar?', 'love-pet' ),
    'section'   => 'header_4',
    'default' => '0',
    'choices' => array(
        'on' => esc_attr__( 'Yes', 'love-pet' ),
        'off' => esc_attr__( 'No', 'love-pet' ),
    )
));

/*topbar background*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'color',
    'settings'  => 'hd4_topbar_bg',
    'label'     => esc_attr__( 'Topbar background color', 'love-pet' ),
    'section'   => 'header_4',
    'default' => '#ffffff',
    'choices'     => array(
		'alpha' => true,
	),
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => '.header-layout-4 .theme-topbar',
            'property' => 'background-color',
            'media_query' => '@media (min-width: 992px)'
        )
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd4_topbar_display',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*topbar border color*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'color',
    'settings'  => 'hd4_topbar_border',
    'label'     => esc_attr__( 'Topbar border color', 'love-pet' ),
    'section'   => 'header_4',
    'default' => '#eeeeee',
    'choices'     => array(
		'alpha' => true,
	),
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => '.header-layout-4 .theme-topbar',
            'property' => 'border-bottom-color',
            'media_query' => '@media (min-width: 992px)'
        )
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd4_topbar_display',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*topbar content*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'repeater',
    'settings'  => 'hd4_topbar',
    'label'     => esc_attr__( 'Topbar content', 'love-pet' ),
    'section'   => 'header_4',
    'row_label' => array(
        'type' => 'text',
        'value' => esc_attr__('Field', 'love-pet' ),
    ),
    'choices' => array(
        'limit' => 3
    ),
    'fields' => array(
        'tb_text' => array(
            'type'        => 'textarea',
            'label'       => esc_attr__( 'Enter some text', 'love-pet' ),
            'default'     => '',
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd4_topbar_display',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*topbar content*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd4_topbar_font',
    'label'     => esc_attr__( 'Topbar font style', 'love-pet' ),
    'section'   => 'header_4',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Lato',
        'variant'        => 'regular',
        'font-size'      => '14px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#888888',
        'text-transform' => 'none'
    ),
    'output' => array(
        array(
            'element' =>
                '.header-layout-4 .theme-topbar-item',
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd4_topbar_display',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*menu background*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'color',
    'settings'  => 'hd4_menu_bg',
    'label'     => esc_attr__( 'Menu background', 'love-pet' ),
    'section'   => 'header_4',
    'default' => '#f78263',
    'choices'     => array(
		'alpha' => true,
	),
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => '.header-layout-4 .theme-header-row-bot',
            'property' => 'background-color',
            'media_query' => '@media (min-width: 992px)'
        )
    ),
));

/*menu style*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'switch',
    'settings'  => 'hd4_menu',
    'label'     => esc_attr__( 'Custom menu style?', 'love-pet' ),
    'section'   => 'header_4',
    'default' => '0',
    'choices'     => array(
        'on'  => esc_attr__( 'Yes', 'love-pet' ),
        'off' => esc_attr__( 'No', 'love-pet' ),
    ),
));

/*highlight menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'color',
    'settings'  => 'hd4_menu_highlight',
    'label'     => esc_attr__( 'Highlight menu color', 'love-pet' ),
    'section'   => 'header_4',
    'transport' => 'auto',
    'default' => '#4acbbc',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-4 .theme-primary-menu > li:not(.menu-item-has-mega-menu):hover > a',
                '.header-layout-4 .theme-primary-menu > li.current-menu-item > a',
                '.header-layout-4 .theme-primary-menu > li.current-menu-ancestor > a',
                '.header-layout-4 .theme-primary-menu > li.current-menu-parent > a',
                '.header-layout-4 .theme-primary-menu > li.current_page_parent > a',
                '.header-layout-4 .theme-primary-menu > li.current_page_ancestor > a',
                '.header-layout-4 .theme-primary-menu > li > a:hover',
                '.header-layout-4 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a:hover',
                '.header-layout-4 .theme-primary-menu .mega-menu-row > li > a:hover',
                '.header-layout-4 .theme-primary-menu li.menu-item-has-mega-menu:hover > a',
                '.header-layout-4 .theme-primary-menu .mega-menu-row .sub-menu a:hover',
                '.header-layout-4 #ht-search-btn:hover',
                '.header-layout-4 .shopping-cart-icon:hover',
                '.header-layout-4 .theme-shopping-cart:hover .shopping-cart-icon'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd4_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*heading menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd4_heading_menu',
    'label'     => esc_attr__( 'Heading menu font style', 'love-pet' ),
    'section'   => 'header_4',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Quicksand',
        'variant'        => '700',
        'font-size'      => '14px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#ffffff',
        'text-transform' => 'uppercase'
    ),
    'output' => array(
        array(
            'element' => '.header-layout-4 .theme-primary-menu > li > a',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd4_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*sub menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd4_submenu',
    'label'     => esc_attr__( 'Submenu font style', 'love-pet' ),
    'section'   => 'header_4',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Lato',
        'variant'        => 'regular',
        'font-size'      => '14px',
        'line-height' => '24px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#232323',
        'text-transform' => 'none'
    ),
    'output' => array(
        array(
            'element' => '.header-layout-4 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd4_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*heading mega menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd4_heading_mega',
    'label'     => esc_attr__( 'Heading mega menu font style', 'love-pet' ),
    'section'   => 'header_4',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Quicksand',
        'variant'        => '700',
        'font-size'      => '14px',
        'line-height' => '24px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#232323',
        'text-transform' => 'uppercase'
    ),
    'output' => array(
        array(
            'element' => '.header-layout-4 .theme-primary-menu .mega-menu-row > li > a',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd4_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*sub mega menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd4_submega',
    'label'     => esc_attr__( 'Submega menu font style', 'love-pet' ),
    'section'   => 'header_4',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Lato',
        'variant'        => 'regular',
        'font-size'      => '13px',
        'line-height' => '24px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#696767',
        'text-transform' => 'none'
    ),
    'output' => array(
        array(
            'element' => '.header-layout-4 .theme-primary-menu .mega-menu-row .sub-menu a',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd4_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*button label*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'text',
	'settings'  => 'hd4_btn',
	'label'     => esc_attr__( 'Button label', 'love-pet' ),
	'section'   => 'header_4',
));

/*button icon*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'text',
    'settings'  => 'hd4_btn_icon',
    'label'     => esc_attr__( 'Button icon', 'love-pet' ),
	'description' => esc_attr__( 'You can find more icon here: http://ionicons.com/ or http://fontawesome.io/icons/', 'love-pet' ),
    'section'   => 'header_4',
));

/*button link*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'text',
	'settings'  => 'hd4_btn_link',
	'label'     => esc_attr__( 'Button link', 'love-pet' ),
	'section'   => 'header_4',
));

/*Header layout 5 ==================================================*/

/*background*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'color',
    'settings'  => 'hd5_bg',
    'label'     => esc_attr__( 'Header background color', 'love-pet' ),
    'section'   => 'header_5',
	'default' => 'rgba(255,255,255,0)',
    'choices'     => array(
		'alpha' => true,
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-5 .theme-header-box',
			'property' => 'background-color',
            'media_query' => '@media (min-width: 992px)'
		)
	),
    'partial_refresh' => array(
        'hd5_edit_location' => array(
            'selector'        => '#hd5-edit-location',
            'render_callback' => 'love_pet_header_edit_location',
        ),
    ),
));

/*menu style*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'switch',
    'settings'  => 'hd5_menu',
    'label'     => esc_attr__( 'Custom menu style?', 'love-pet' ),
    'section'   => 'header_5',
    'default' => '0',
    'choices'     => array(
        'on'  => esc_attr__( 'Yes', 'love-pet' ),
        'off' => esc_attr__( 'No', 'love-pet' ),
    ),
));

/*highlight menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'color',
    'settings'  => 'hd5_menu_highlight',
    'label'     => esc_attr__( 'Highlight menu color', 'love-pet' ),
    'section'   => 'header_5',
    'transport' => 'auto',
    'default' => '#4acbbc',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-5 .theme-primary-menu > li:not(.menu-item-has-mega-menu):hover > a',
                '.header-layout-5 .theme-primary-menu > li.current-menu-item > a',
                '.header-layout-5 .theme-primary-menu > li.current-menu-ancestor > a',
                '.header-layout-5 .theme-primary-menu > li.current-menu-parent > a',
                '.header-layout-5 .theme-primary-menu > li.current_page_parent > a',
                '.header-layout-5 .theme-primary-menu > li.current_page_ancestor > a',
                '.header-layout-5 .theme-primary-menu > li > a:hover',
                '.header-layout-5 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a:hover',
                '.header-layout-5 .theme-primary-menu .mega-menu-row > li > a:hover',
                '.header-layout-5 .theme-primary-menu li.menu-item-has-mega-menu:hover > a',
                '.header-layout-5 .theme-primary-menu .mega-menu-row .sub-menu a:hover',
                '.header-layout-5 #ht-search-btn:hover'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd5_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*heading menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd5_heading_menu',
    'label'     => esc_attr__( 'Heading menu font style', 'love-pet' ),
    'section'   => 'header_5',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Quicksand',
        'variant'        => '700',
        'font-size'      => '14px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#222222',
        'text-transform' => 'none'
    ),
    'output' => array(
        array(
            'element' => array(
                '.header-layout-5 .theme-primary-menu > li > a',
                '.header-layout-5 #ht-search-btn'
            ),
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd5_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*sub menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd5_submenu',
    'label'     => esc_attr__( 'Submenu font style', 'love-pet' ),
    'section'   => 'header_5',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Lato',
        'variant'        => 'regular',
        'font-size'      => '14px',
        'line-height' => '24px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#232323',
        'text-transform' => 'none'
    ),
    'output' => array(
        array(
            'element' => '.header-layout-5 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd5_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*heading mega menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd5_heading_mega',
    'label'     => esc_attr__( 'Heading mega menu font style', 'love-pet' ),
    'section'   => 'header_5',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Quicksand',
        'variant'        => '700',
        'font-size'      => '14px',
        'line-height' => '24px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#232323',
        'text-transform' => 'uppercase'
    ),
    'output' => array(
        array(
            'element' => '.header-layout-5 .theme-primary-menu .mega-menu-row > li > a',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd5_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*sub mega menu*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'typography',
    'settings'  => 'hd5_submega',
    'label'     => esc_attr__( 'Submega menu font style', 'love-pet' ),
    'section'   => 'header_5',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => 'Lato',
        'variant'        => 'regular',
        'font-size'      => '13px',
        'line-height' => '24px',
        'letter-spacing' => '0',
        'subsets'        => array( 'latin-ext' ),
        'color'          => '#696767',
        'text-transform' => 'none'
    ),
    'output' => array(
        array(
            'element' => '.header-layout-5 .theme-primary-menu .mega-menu-row .sub-menu a',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'hd5_menu',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*button label*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'text',
    'settings'  => 'hd5_btn',
    'label'     => esc_attr__( 'Button label', 'love-pet' ),
    'section'   => 'header_5',
));

/*button icon*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'text',
    'settings'  => 'hd5_btn_icon',
    'label'     => esc_attr__( 'Button icon', 'love-pet' ),
	'description' => esc_attr__( 'You can find more icon here: http://ionicons.com/ or http://fontawesome.io/icons/', 'love-pet' ),
    'section'   => 'header_5',
));

/*button bg*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'color',
    'settings'  => 'hd5_btn_bg',
    'label'     => esc_attr__( 'Button background', 'love-pet' ),
    'section'   => 'header_5',
	'transport' => 'auto',
	'default' => '#4acbbc',
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => '.header-layout-5 .hd5-btn',
			'property' => 'background-color',
		)
	)
));

/*button border*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'color',
    'settings'  => 'hd5_btn_bdc',
    'label'     => esc_attr__( 'Button border color', 'love-pet' ),
    'section'   => 'header_5',
	'transport' => 'auto',
	'default' => '#4acbbc',
	'output' => array(
		array(
			'element' => '.header-layout-5 .hd5-btn',
			'property' => 'border-color',
		)
	)
));

/*button link*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'text',
	'settings'  => 'hd5_btn_link',
	'label'     => esc_attr__( 'Button link', 'love-pet' ),
	'section'   => 'header_5',
));

/*Header layout 6 ==================================================*/

/*background*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'color',	
	'settings'  => 'hd6_bg',
	'label'     => esc_attr__( 'Header background color', 'love-pet' ),
	'section'   => 'header_6',
	'default' => '#ffffff',
	'transport' => 'auto',
    'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => '.header-layout-6 .theme-header-box',
			'property' => 'background-color',
            'media_query' => '@media (min-width: 992px)'
		)
	),
	'partial_refresh' => array(
		'hd6_edit_location' => array(
			'selector'        => '#hd6-edit-location',
			'render_callback' => 'love_pet_header_edit_location',
		),
	),
));

/*menu style*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'switch',
	'settings'  => 'hd6_menu',
	'label'     => esc_attr__( 'Custom menu style?', 'love-pet' ),
	'section'   => 'header_6',
	'default' => '0',
	'choices'     => array(
		'on'  => esc_attr__( 'Yes', 'love-pet' ),
		'off' => esc_attr__( 'No', 'love-pet' ),
	),
));

/*highlight menu*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'color',
	'settings'  => 'hd6_menu_highlight',
	'label'     => esc_attr__( 'Highlight menu color', 'love-pet' ),
	'section'   => 'header_6',
	'transport' => 'auto',
	'default' => '#4acbbc',
	'output' => array(
		array(
			'element' => array(
				'.header-layout-6 .theme-primary-menu > li:not(.menu-item-has-mega-menu):hover > a',
				'.header-layout-6 .theme-primary-menu > li.current-menu-item > a',
				'.header-layout-6 .theme-primary-menu > li.current-menu-ancestor > a',
				'.header-layout-6 .theme-primary-menu > li.current-menu-parent > a',
				'.header-layout-6 .theme-primary-menu > li.current_page_parent > a',
				'.header-layout-6 .theme-primary-menu > li.current_page_ancestor > a',
				'.header-layout-6 .theme-primary-menu > li > a:hover',
				'.header-layout-6 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a:hover',
				'.header-layout-6 .theme-primary-menu .mega-menu-row > li > a:hover',
				'.header-layout-6 .theme-primary-menu li.menu-item-has-mega-menu:hover > a',
				'.header-layout-6 .theme-primary-menu .mega-menu-row .sub-menu a:hover',
				'.header-layout-6 #ht-search-btn:hover'
            ),
			'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'hd6_menu',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*heading menu*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'typography',
	'settings'  => 'hd6_heading_menu',
	'label'     => esc_attr__( 'Heading menu font style', 'love-pet' ),
	'section'   => 'header_6',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => 'Quicksand',
		'variant'        => '700',
		'font-size'      => '14px',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#222222',
		'text-transform' => 'uppercase'
	),
	'output' => array(
		array(
			'element' => array(
				'.header-layout-6 .theme-primary-menu > li > a',
				'.header-layout-6 #ht-search-btn'
            ),
            'media_query' => '@media (min-width: 992px)'
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'hd6_menu',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*sub menu*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'typography',
	'settings'  => 'hd6_submenu',
	'label'     => esc_attr__( 'Submenu font style', 'love-pet' ),
	'section'   => 'header_6',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => 'Lato',
		'variant'        => 'regular',
		'font-size'      => '14px',
		'line-height' => '24px',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#232323',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => '.header-layout-6 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a',
            'media_query' => '@media (min-width: 992px)'
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'hd6_menu',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*heading mega menu*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'typography',
	'settings'  => 'hd6_heading_mega',
	'label'     => esc_attr__( 'Heading mega menu font style', 'love-pet' ),
	'section'   => 'header_6',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => 'Quicksand',
		'variant'        => '700',
		'font-size'      => '14px',
		'line-height' => '24px',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#232323',
		'text-transform' => 'uppercase'
	),
	'output' => array(
		array(
			'element' => '.header-layout-6 .theme-primary-menu .mega-menu-row > li > a',
            'media_query' => '@media (min-width: 992px)'
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'hd6_menu',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*sub mega menu*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'typography',
	'settings'  => 'hd6_submega',
	'label'     => esc_attr__( 'Submega menu font style', 'love-pet' ),
	'section'   => 'header_6',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => 'Lato',
		'variant'        => 'regular',
		'font-size'      => '13px',
		'line-height' => '24px',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#696767',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => '.header-layout-6 .theme-primary-menu .mega-menu-row .sub-menu a',
            'media_query' => '@media (min-width: 992px)'
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'hd6_menu',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*button icon*/
love_pet_Kirki::add_field( 'love-pet', array(
    'type'      => 'text',
    'settings'  => 'hd6_btn_icon',
    'label'     => esc_attr__( 'Button icon', 'love-pet' ),
    'description' => esc_attr__( 'You can find more icon here: http://ionicons.com/ or http://fontawesome.io/icons/', 'love-pet' ),
    'section'   => 'header_6',
));

/*button label*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'text',
	'settings'  => 'hd6_btn',
	'label'     => esc_attr__( 'Button label', 'love-pet' ),
	'section'   => 'header_6',
));

/*button link*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'text',
	'settings'  => 'hd6_btn_link',
	'label'     => esc_attr__( 'Button link', 'love-pet' ),
	'section'   => 'header_6',
));