<?php

/*parent shortcode*/
if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    /*wrap table*/
    class WPBakeryShortCode_table extends WPBakeryShortCodesContainer {
	}
}

/*child shortcode*/
if ( class_exists( 'WPBakeryShortCode' ) ) {
    /*gmaps*/
    class WPBakeryShortCode_gmaps extends WPBakeryShortCode {
	}
    /*iconbox*/
    class WPBakeryShortCode_iconbox extends WPBakeryShortCode {
    }
    /*accordion*/
    class WPBakeryShortCode_accordion extends WPBakeryShortCode {
    }
    /*testimonials*/
    class WPBakeryShortCode_testi extends WPBakeryShortCode {
	}
    /*services*/
    class WPBakeryShortCode_services extends WPBakeryShortCode {
	}
    /*blog news*/
    class WPBakeryShortCode_news extends WPBakeryShortCode {
	}
    /*gallery*/
    class WPBakeryShortCode_ht_gallery extends WPBakeryShortCode {
	}
    /*product cat*/
    class WPBakeryShortCode_ht_product_cat extends WPBakeryShortCode {
    }
    /*product*/
    class WPBakeryShortCode_ht_product extends WPBakeryShortCode {
    }
    /*brand*/
    class WPBakeryShortCode_brand extends WPBakeryShortCode {
    }
    /*product sale countdown*/
    class WPBakeryShortCode_ht_product_sale_countdown extends WPBakeryShortCode {
        public function __construct( $settings ) {
            parent::__construct( $settings );
            $this->love_pet_product_sale_countdown();
        }

        public function love_pet_product_sale_countdown() {
            wp_enqueue_script( 'love-pet-product-sale', get_template_directory_uri() . '/js/jquery.sale.countdown.js' );
        }
    }
    /*landing*/
    class WPBakeryShortCode_landing extends WPBakeryShortCode {
    }
}

/*incluce vc-maps*/
require_once get_template_directory() . '/inc/vc-maps.php';

/*disable VC auto update*/
function love_pet_vc_disable_updater() {
	vc_manager()->disableUpdater();
}
add_action( 'vc_before_init', 'love_pet_vc_disable_updater' );

/*add new option on default shortcode Visual Composer*/
if ( class_exists( 'WPBakeryVisualComposerAbstract' ) ) {

    /*custom heading*/
    $theme_custom_heading = array(
        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Shape under heading?', 'love-pet' ),
            'param_name' => 'line',
            'value' => array(esc_html__( 'Yes', 'love-pet' ) => 'yes'),
            'std' => 'no',
        ),
        array(
            'type' => 'attach_image',
            'heading' => esc_html__( 'Shape', 'love-pet' ),
            'description' => esc_html__( 'Upload your shape', 'love-pet' ),
            'param_name' => 'shape',
            'dependency' => array(
                'element' => 'line',
                'value' => 'yes',
            ),
        ),
    );
    vc_add_params( 'vc_custom_heading', $theme_custom_heading );

    /*vc_btn*/
	$theme_button = array(
        /*style*/
		array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Style', 'love-pet' ),
            'description' => esc_html__( 'Select button display style.', 'love-pet' ),
            'param_name' => 'style',
            'value' => array(
                esc_html__( 'Modern', 'love-pet' ) => 'modern',
                esc_html__( 'Classic', 'love-pet' ) => 'classic',
                esc_html__( 'Flat', 'love-pet' ) => 'flat',
                esc_html__( 'Outline', 'love-pet' ) => 'outline',
                esc_html__( '3d', 'love-pet' ) => '3d',
                esc_html__( 'Custom', 'love-pet' ) => 'custom',
                esc_html__( 'Outline custom', 'love-pet' ) => 'outline-custom',
                esc_html__( 'Gradient', 'love-pet' ) => 'gradient',
                esc_html__( 'Gradient Custom', 'love-pet' ) => 'gradient-custom',
                esc_html__( 'Theme style 1', 'love-pet' ) => 'theme-default-btn',
                esc_html__( 'Theme style 2', 'love-pet' ) => 'theme-default-btn-2',
                esc_html__( 'Theme style 3', 'love-pet' ) => 'theme-default-btn-3',
            ),
            'std' => 'theme-default-btn'
        ),
        /*disable color option on Theme Style Custom*/
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Color', 'love-pet' ),
            'param_name' => 'color',
            'description' => esc_html__( 'Select button color.', 'love-pet' ),
            'param_holder_class' => 'vc_colored-dropdown vc_btn3-colored-dropdown',
            'value' => array(
                    esc_html__( 'Classic Grey', 'love-pet' ) => 'default',
                    esc_html__( 'Classic Blue', 'love-pet' ) => 'primary',
                    esc_html__( 'Classic Turquoise', 'love-pet' ) => 'info',
                    esc_html__( 'Classic Green', 'love-pet' ) => 'success',
                    esc_html__( 'Classic Orange', 'love-pet' ) => 'warning',
                    esc_html__( 'Classic Red', 'love-pet' ) => 'danger',
                    esc_html__( 'Classic Black', 'love-pet' ) => 'inverse',
                ) + getVcShared( 'colors-dashed' ),
            'std' => 'grey',
            'dependency' => array(
                'element' => 'style',
                'value_not_equal_to' => array(
                    'custom',
                    'outline-custom',
                    'gradient',
                    'gradient-custom',
                    'theme-default-btn',
                    'theme-default-btn-2',
                    'theme-default-btn-3',
                ),
            ),
        ),
	);
	vc_add_params( 'vc_btn', $theme_button );
}