<?php

if(function_exists('vc_map')){
	add_action( 'init', 'love_pet_vc_shortcode' );
}

/*theme shortcode*/
if(!function_exists('love_pet_vc_shortcode')){
    function love_pet_vc_shortcode(){
    	/*google maps*/
    	vc_map( array(
			'name' => esc_html__( 'Map', 'love-pet' ),
			'base' => 'gmaps',
			'icon' => get_template_directory_uri() . '/images/vc/map.png',
			'category' => esc_html__('Love Pet Theme', 'love-pet'),
			'description' => esc_html__( 'Add a custom map', 'love-pet' ),
			'params' => array(
                array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__( 'Google API key required', 'love-pet' ),
                    'description' => sprintf( esc_html__( 'Enter your Google API key, %1$s', 'love-pet' ), '<a href="//developers.google.com/maps/documentation/javascript/get-api-key" target="_blank">' . esc_html__( 'get API key here', 'love-pet' ) . '</a>' ),
                    'param_name'  => 'api_key',
                    'value'       => '',
                ),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__( 'Address or Coordinate', 'love-pet' ),
					'admin_label' => true,
					'param_name'  => 'address',
					'value'       => '40.713789,-74.010944',
					'description' => wp_kses(__( 'Enter address or coordinate. (Note: separate values with "," )<br><a href="http://www.latlong.net/convert-address-to-lat-long.html" target="_blank" >Here is a tool</a> where you can find Latitude &amp; Longitude of your location.', 'love-pet' ),
						array( 
							'br' => array(), 
							'a' => array( 
								'href' => array(), 
								'target' => array()
								)
							)
						)
				),
				array(
					'type'        => 'attach_image',
					'heading'     => esc_html__( 'Marker icon', 'love-pet' ),
					'param_name'  => 'marker_icon',
					'description' => esc_html__( 'Choose a image for marker address', 'love-pet' ),
				),
				array(
					'type'        => 'textarea',
					'heading'     => esc_html__( 'Marker Information', 'love-pet' ),
					'param_name'  => 'maker_info',
					'description' => esc_html__( 'Content for info window', 'love-pet' ),
				),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__( 'Height', 'love-pet' ),
					'param_name'  => 'map_height',
					'value'       => '385',
					'description' => esc_html__( 'Enter map height. Ex: 450', 'love-pet' ),
				),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__( 'Width', 'love-pet' ),
					'param_name'  => 'map_width',
					'value'       => '100%',
					'description' => esc_html__( 'Enter map width (in pixels or percentage)', 'love-pet' ),
				),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__( 'Zoom level', 'love-pet' ),
					'param_name'  => 'zoom',
					'value'       => '13',
					'description' => esc_html__( 'Map zoom level', 'love-pet' ),
				),
				array(
					'type'       => 'checkbox',
					'heading'    => esc_html__( 'Enable Map zoom', 'love-pet' ),
					'param_name' => 'zoom_enable',
					'value'      => array(
						esc_html__( 'Enable', 'love-pet' ) => 'enable'
					),
				),
				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__( 'Map type', 'love-pet' ),
					'admin_label' => true,
					'param_name'  => 'map_type',
					'description' => esc_html__( 'Choose a map type', 'love-pet' ),
					'value'       => array(
						esc_html__( 'Roadmap', 'love-pet' )   => 'roadmap',
						esc_html__( 'Satellite', 'love-pet' ) => 'satellite',
						esc_html__( 'Hybrid', 'love-pet' )    => 'hybrid',
						esc_html__( 'Terrain', 'love-pet' )   => 'terrain',
					),
				),
				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__( 'Map style', 'love-pet' ),
					'admin_label' => true,
					'param_name'  => 'map_style',
					'description' => esc_html__( 'Choose a map style. This approach changes the style of the Roadmap types (base imagery in terrain and satellite views is not affected, but roads, labels, etc. respect styling rules', 'love-pet' ),
					'value'       => array(
						esc_html__( 'Default', 'love-pet' )          => 'default',
						esc_html__( 'Grayscale', 'love-pet' )        => 'style1',
						esc_html__( 'Subtle Grayscale', 'love-pet' ) => 'style2',
						esc_html__( 'Apple Maps-esque', 'love-pet' ) => 'style3',
						esc_html__( 'Pale Dawn', 'love-pet' )        => 'style4',
						esc_html__( 'Muted Blue', 'love-pet' )       => 'style5',
						esc_html__( 'Paper', 'love-pet' )            => 'style6',
						esc_html__( 'Light Dream', 'love-pet' )      => 'style7',
						esc_html__( 'Retro', 'love-pet' )            => 'style8',
						esc_html__( 'Avocado World', 'love-pet' )    => 'style9',
						esc_html__( 'Shades of Grey', 'love-pet' )   => 'style10',
						esc_html__( 'Blue water', 'love-pet' )       => 'style11',
						esc_html__( 'Love Pet style', 'love-pet' )       => 'style12',
					),
					'std' => 'style12'
				),
				array(
			        'type'        => 'textfield',
			        'heading'     => esc_html__('Class', 'love-pet' ),
			        'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'love-pet'),
			        'admin_label' => true,
			        'param_name'  => 'el_class',
		        ),
		        array(
			        'type'       => 'css_editor',
			        'heading'    => esc_html__( 'CSS', 'love-pet' ),
			        'param_name' => 'css',
			        'group'      => esc_html__( 'Design Options', 'love-pet' ),
		        ),
			),
		));

        /*iconbox*/
        vc_map(array(
			'name' => esc_html__( 'Iconbox', 'love-pet' ),
			'icon' => get_template_directory_uri() . '/images/vc/iconbox.png',
			'base' => 'iconbox',
			'category' => esc_html__( 'Love Pet Theme', 'love-pet' ),
			'description' => esc_html__( 'Add a Iconbox', 'love-pet' ),
			'params' => array(
				/*style*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Style', 'love-pet' ),
					'admin_label' => true,
					'param_name' => 'style',
					'value' => array(
						esc_html__('Icon above title', 'love-pet') => 'icon-above-title',
						esc_html__('Icon inline with title', 'love-pet') => 'icon-inline-title',
					),
					'std' => 'icon-inline-title'
				),
				/*text align with icon-above-title*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Text align', 'love-pet' ),
					'param_name' => 'align',
					'dependency' => array(
						'element' => 'style',
						'value' => 'icon-above-title'
					),
					'value' => array(
						esc_html__('Left', 'love-pet') => 'text-left',
						esc_html__('Center', 'love-pet') => 'text-center',
						esc_html__('Right', 'love-pet') => 'text-right',
					),
					'std' => 'text-center'
				),
				/*direction with icon-inline-title*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Direction', 'love-pet' ),
					'param_name' => 'direction',
					'dependency' => array(
						'element' => 'style',
						'value' => 'icon-inline-title'
					),
					'value' => array(
						esc_html__('Left', 'love-pet') => 'direct-left',
						esc_html__('Right', 'love-pet') => 'direct-right',
					),
					'std' => 'direct-left'
				),
				/*title*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Title', 'love-pet' ),
					'description' => esc_html__( 'Enter your title', 'love-pet' ),
					'param_name' => 'ht_title',
					'admin_label' => true,
					'value' => 'This is my title',
				),
				/*link of title*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Link of Title?', 'love-pet' ),
					'param_name' => 'title_link',
					'value' => array(
						esc_html__('Yes', 'love-pet') => 'yes',
					),
					'std' => 'no'
				),
				array(
					'type'       => 'vc_link',
					'heading'    => esc_html__( 'Link', 'love-pet' ),
					'param_name' => 'link',
					'dependency' => array(
						'element' => 'title_link',
						'value' => 'yes'
					)
				),
				/*icon*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Icon', 'love-pet' ),
					'param_name' => 'icon',
					'value' => array(
						esc_html__('Use Image', 'love-pet') => 'use-image',
						esc_html__('Use Font Icon', 'love-pet') => 'use-font-icon',
					),
					'std' => 'use-image'
				),
				/*icon - use font icon*/
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Font Icon', 'love-pet' ),
					'param_name' => 'font_icon',
					'value' => 'fa-plus-circle',
					'dependency' => array(
						'element' => 'icon',
						'value' => 'use-font-icon'
					),
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Font Size', 'love-pet' ),
					'param_name' => 'font_size',
					'value' => '48px',
					'description' => esc_html('Enter font size. Ex: "30px", "1.5rem" or "2em"', 'love-pet'),
					'dependency' => array(
						'element' => 'icon',
						'value' => 'use-font-icon'
					),
				),
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Font Color', 'love-pet' ),
					'param_name' => 'font_color',
					'value' => '#222222',
					'dependency' => array(
						'element' => 'icon',
						'value' => 'use-font-icon'
					),
				),
				/*icon - use image*/
				array(
					'type' => 'attach_image',
					'heading' => esc_html__( 'Image', 'love-pet' ),
					'param_name' => 'image',
					'dependency' => array(
						'element' => 'icon',
						'value' => 'use-image'
					),
				),
				/*content*/
				array(
					'type' => 'textarea',
					'heading' => esc_html__( 'Content', 'love-pet' ),
					'param_name' => 'content',
					'value' => 'Our veterinarians can perform orthopedic and soft tissue surgeries your pet may require.',
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'love-pet' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'love-pet'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'love-pet' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'love-pet' ),
				),
			),
		));

		/*testimonials*/
		vc_map(array(
			'name' => esc_html__( 'Testimonials', 'love-pet' ),
			'icon' => get_template_directory_uri() . '/images/vc/testi.png',
			'base' => 'testi',
			'category' => esc_html__('Love Pet Theme', 'love-pet'),
			'description' => esc_html__( 'Add customer testimonials', 'love-pet' ),
			'params' => array(
				/*style*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Style', 'love-pet' ),
					'admin_label' => true,
					'param_name' => 'style',
					'value' => array(
						esc_html__( 'Style 1', 'love-pet' ) => 'style-1',
						esc_html__( 'Style 2', 'love-pet' ) => 'style-2',
					),
					'std' => 'style-1'
				),
				/*post count*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Post count', 'love-pet' ),
					'admin_label' => true,
					'param_name' => 'count',
					'value' => '4'
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'love-pet' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'love-pet'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'love-pet' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'love-pet' ),
				),
			)
		));

		/*services*/
            $categories = get_terms( 'ht-service-filter' );
            $category_arr = array();
            /*get blog categories*/
            if( !empty( $categories ) && ! is_wp_error( $categories ) ) {
                foreach( $categories as $key ) {
                    $category_arr[] = array( 'label' => $key->name, 'value' => $key->slug );
                }
            }
		vc_map(array(
			'name' => esc_html__( 'Services', 'love-pet' ),
			'icon' => get_template_directory_uri() . '/images/vc/service.png',
			'base' => 'services',
			'description' => esc_html__( 'Add a services section', 'love-pet' ),
			'category' => esc_html__('Love Pet Theme', 'love-pet'),
			'params' => array(
				/*style*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Style', 'love-pet' ),
					'param_name' => 'style',
					'admin_label' => true,
					'value' => array(
						esc_html__('Grid', 'love-pet') => 'grid',
						esc_html__('List', 'love-pet') => 'list',
					),
					'std' => 'grid'
				),
                /*cate*/
                array(
                    'type' => 'autocomplete',
                    'heading' => esc_html__( 'Enter categories', 'love-pet' ),
                    'param_name' => 'data_cat',
                    'settings' => array(
                        'multiple' => true,
                        'min_length' => 1,
                        'unique_values' => true,
                        'delay' => 200,
                        'values' => $category_arr
                    ),
                ),
				/*post count*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Post count', 'love-pet' ),
					'admin_label' => true,
					'param_name' => 'count',
					'value' => '6'
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'love-pet' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'love-pet'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'love-pet' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'love-pet' ),
				),
			)
		));

		/*blog news*/
		vc_map( array(
			'name' => esc_html__( 'Blog News', 'love-pet' ),
			'base' => 'news',
			'icon' => get_template_directory_uri() . '/images/vc/news.png',
			'category' => esc_html__('Love Pet Theme', 'love-pet'),
			'description' => esc_html__( 'Add blog news section', 'love-pet' ),
			'params' => array(
				/*style*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Style', 'love-pet' ),
					'param_name' => 'style',
					'admin_label' => true,
					'value' => array(
						esc_html__('Style 1', 'love-pet') => 'style-1',
						esc_html__('Style 2', 'love-pet') => 'style-2',
					),
					'std' => 'style-1'
				),
				/*count*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Count', 'love-pet' ),
					'description' => esc_html__('Enter post count', 'love-pet'),
					'param_name' => 'count',
					'admin_label' => true,
					'value' => 3
				),
				/*post per row*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Post per row', 'love-pet' ),
					'param_name' => 'column',
					'dependency' => array(
						'element' => 'style',
						'value' => 'style-1'
					),
					'value' => array(2,3,4),
				),
				/*show thumbnail*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Show thumbnail?', 'love-pet' ),
					'param_name' => 'thumbnail',
					'dependency' => array(
						'element' => 'style',
						'value' => 'style-2'
					),
					'value' => array(
						esc_html__('Yes','love-pet') => 'yes'
					),
					'std' => 'yes'
				),
				/*carousel*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Display like carousel?', 'love-pet' ),
					'param_name' => 'carousel',
					'dependency' => array(
						'element' => 'style',
						'value' => 'style-2'
					),
					'value' => array(
						esc_html__('Yes','love-pet') => 'yes'
					),
					'std' => 'no'
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'love-pet' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'love-pet'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'love-pet' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'love-pet' ),
				),
			),
		));

		/*accordion*/
		vc_map( array(
			'name' => esc_html__( 'Accordion', 'love-pet' ),
			'base' => 'accordion',
			'icon' => get_template_directory_uri() . '/images/vc/accordion.png',
			'category' => esc_html__('Love Pet Theme', 'love-pet'),
			'description' => esc_html__( 'Add accordion section', 'love-pet' ),
			'params' => array(
				/*data*/
				array(
					'type' => 'param_group',
					'heading' => esc_html__( 'Values', 'love-pet' ),
					'param_name' => 'values',
					'description' => esc_html__( 'Enter values for graph - value, title and color.', 'love-pet' ),
					'value' => urlencode( json_encode( array(
						array(
							'title' => esc_html__( 'Free In-Home Consultation', 'love-pet' ),
							'content' => esc_html__('Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et.dolore magna aliqua. Ut enim ad minim veniam, quis nostrud.', 'love-pet'),
						),
						array(
							'title' => esc_html__( 'We will Keep In Touch', 'love-pet' ),
							'content' => esc_html__('Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et.dolore magna aliqua. Ut enim ad minim veniam, quis nostrud.', 'love-pet'),
						),
						array(
							'title' => esc_html__( 'Convenience', 'love-pet' ),
							'content' => esc_html__('Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et.dolore magna aliqua. Ut enim ad minim veniam, quis nostrud.', 'love-pet'),
						),
						array(
							'title' => esc_html__( 'Qualified &amp; Caring Pet Sitters', 'love-pet' ),
							'content' => esc_html__('Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et.dolore magna aliqua. Ut enim ad minim veniam, quis nostrud.', 'love-pet'),
						),
					) ) ),
					'params' => array(
						array(
							'type' => 'textfield',
							'heading' => esc_html__( 'Title', 'love-pet' ),
							'param_name' => 'title',
							'description' => esc_html__( 'Enter your title', 'love-pet' ),
							'admin_label' => true,
						),
						array(
							'type' => 'textarea',
							'heading' => esc_html__( 'Content', 'love-pet' ),
							'param_name' => 'content',
							'description' => esc_html__( 'write some text', 'love-pet' ),
						),
					),
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'love-pet' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'love-pet'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'love-pet' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'love-pet' ),
				),
			),
		));

		/*gallery*/
		vc_map( array(
			'name' => esc_html__( 'Gallery', 'love-pet' ),
			'base' => 'ht_gallery',
			'icon' => get_template_directory_uri() . '/images/vc/gallery.png',
			'category' => esc_html__('Love Pet Theme', 'love-pet'),
			'description' => esc_html__( 'Add gallery section', 'love-pet' ),
			'params' => array(
				/*style*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Style', 'love-pet' ),
					'param_name' => 'style',
					'admin_label' => true,
					'value' => array(
						esc_html__('Grid', 'love-pet') => 'grid',
						esc_html__('Carousel', 'love-pet') => 'carousel',
					),
					'std' => 'grid'
				),
				/*image*/
				array(
					'type' => 'attach_images',
					'heading' => esc_html__( 'Image', 'love-pet' ),
					'description' => esc_html__('Choose your image(s)', 'love-pet'),
					'param_name' => 'img',
					'admin_label' => true,
				),
				/*link to gallery page*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Link to gallery page', 'love-pet' ),
					'param_name' => 'link',
					'dependency' => array(
						'element' => 'style',
						'value' => 'carousel'
					),
					'value' => '#'
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'love-pet' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'love-pet'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'love-pet' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'love-pet' ),
				),
			),
		));

		/*product cat*/
			/*get product categories*/
			$product_cat = array();
			$categories = get_terms( 'product_cat' );
			if( !empty( $categories ) && ! is_wp_error( $categories ) ) {
			    foreach( $categories as $key ) {
			        $product_cat[] = array( 'label' => $key->name, 'value' => $key->slug );
			    }
			}

		vc_map( array(
			'name' => esc_html__( 'Product Category', 'love-pet' ),
			'base' => 'ht_product_cat',
			'icon' => get_template_directory_uri() . '/images/vc/product-cat.png',
			'category' => esc_html__('Love Pet Theme', 'love-pet'),
			'description' => esc_html__( 'Add product category section', 'love-pet' ),
			'params' => array(
				/*categories data*/
				array(
					'type' => 'autocomplete',
					'heading' => esc_html__( 'Select category(s)', 'love-pet' ),
					'param_name' => 'cats_data',
					'admin_label' => true,
					'settings' => array(
						'multiple' => true,
						'min_length' => 1,
						'groups' => true,
						'unique_values' => true,
						'display_inline' => true,
						'delay' => 0,
						'auto_focus' => true,
						'no_hide' => true,
						'sortable' => true,
						'values' => $product_cat
					),
					'description' => esc_html__( 'Enter categories', 'love-pet' ),
				),
				/*column*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Per page', 'love-pet' ),
					'description' => esc_html__('How much items per page to show', 'love-pet'),
					'param_name' => 'col',
					'admin_label' => true,
					'value' => array(2,3,4)
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'love-pet' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'love-pet'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'love-pet' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'love-pet' ),
				),
			),
		));

		/*product*/
			/*get product posts*/
			$product = array();
			$args = new WP_Query( array(
				'post_type'      => 'product',
				'posts_per_page' => -1
			));
			$data = $args->posts;
			if( !empty( $args ) && ! is_wp_error( $args ) ) {
				foreach( $data as $key ) {
					$product[] = array( 'label' => $key->post_title, 'value' => $key->post_name );
				}
			}

		vc_map(array(
			'name' => esc_html__( 'Product', 'love-pet' ),
			'icon' => get_template_directory_uri() . '/images/vc/product.png',
			'base' => 'ht_product',
			'description' => esc_html__( 'Add a product section', 'love-pet' ),
			'category' => esc_html__('Love Pet Theme', 'love-pet'),
			'params' => array(
				/*source data*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Pick product by', 'love-pet' ),
					'param_name' => 'source',
					'admin_label' => true,
					'value' => array(
						esc_html__('Single product', 'love-pet') => 'pro',
						esc_html__('Categories', 'love-pet') => 'cat'
					),
					'std' => 'pro'
				),
				/*categories data*/
				array(
					'type' => 'autocomplete',
					'heading' => esc_html__( 'Select category(s)', 'love-pet' ),
					'param_name' => 'cats_data',
					'dependency' => array(
						'element' => 'source',
						'value' => 'cat'
					),
					'settings' => array(
						'multiple' => true,
						'min_length' => 1,
						'groups' => true,
						// In UI show results grouped by groups, default false
						'unique_values' => true,
						// In UI show results except selected. NB! You should manually check values in backend, default false
						'display_inline' => true,
						// In UI show results inline view, default false (each value in own line)
						'delay' => 500,
						// delay for search. default 500
						'auto_focus' => true,
						// auto focus input, default true
						'no_hide' => true,
						'sortable' => true,
						'values' => $product_cat
					),
					'description' => esc_html__( 'Enter categories', 'love-pet' ),
				),				
				/*product data*/
				array(
					'type' => 'autocomplete',
					'heading' => esc_html__( 'Select product(s)', 'love-pet' ),
					'param_name' => 'pros_data',
					'dependency' => array(
						'element' => 'source',
						'value' => 'pro'
					),
					'settings' => array(
						'multiple' => true,
						'min_length' => 1,
						'groups' => true,
						// In UI show results grouped by groups, default false
						'unique_values' => true,
						// In UI show results except selected. NB! You should manually check values in backend, default false
						'display_inline' => true,
						// In UI show results inline view, default false (each value in own line)
						'delay' => 500,
						// delay for search. default 500
						'auto_focus' => true,
						// auto focus input, default true
						'no_hide' => true,
						'sortable' => true,
						'values' => $product
					),
					'description' => esc_html__( 'Enter product name/slug', 'love-pet' ),
				),
				/*style*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Style', 'love-pet' ),
					'admin_label' => true,
					'param_name' => 'style',
					'value' => array(
						esc_html__('Normal', 'love-pet') => 'normal',
						esc_html__('Tab', 'love-pet') => 'tab',
					),
					'std' => 'normal'
				),
				/*filter*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Display filter?', 'love-pet' ),
					'param_name' => 'filter',
					'dependency' => array(
						'element' => 'style',
						'value' => 'tab'
					),
					'value' => array(
						esc_html__('Yes', 'love-pet') => 'yes'
					),
					'std' => 'yes'
				),
				/*column*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Per page', 'love-pet' ),
					'description' => esc_html__('How much items per page to show', 'love-pet'),
					'admin_label' => true,
					'param_name' => 'column',
					'value' => array(2,3,4),
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'love-pet' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'love-pet'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'love-pet' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'love-pet' ),
				),
			)
		));
		
		/*product sale*/
			/*get product posts with sale*/
			$product_sale = array();
			$sale_args = new WP_Query( array(
				'post_type'      => 'product',
				'posts_per_page' => -1,
				'meta_query'     => array(
			        'relation' => 'OR',
			        array(
			            'key'           => '_sale_price',
			            'value'         => 0,
			            'compare'       => '>',
			            'type'          => 'numeric'
			        ),
			        array(
			            'key'           => '_min_variation_sale_price',
			            'value'         => 0,
			            'compare'       => '>',
			            'type'          => 'numeric'
			        )
			    )
			));
			$sale_data = $sale_args->posts;
			if( !empty( $sale_args ) && ! is_wp_error( $sale_args ) ) {
				foreach( $sale_data as $key ) {
					$product_sale[] = array( 'label' => $key->post_title, 'value' => $key->post_name );
				}
			}
		vc_map( array(
			'name'     => esc_html__( 'Product sale countdown', 'love-pet' ),
			'base'     => 'ht_product_sale_countdown',
			'icon' => get_template_directory_uri() . '/images/vc/sale.png',
			'category' => esc_html__( 'Love Pet Theme', 'love-pet' ),
			'params'   => array(
				/*product sale data*/
				array(
					'type' => 'autocomplete',
					'heading' => esc_html__( 'Select product(s)', 'love-pet' ),
					'param_name' => 'pro_sale',
					'admin_label' => true,
					'settings' => array(
						'multiple' => true,
						'min_length' => 1,
						'groups' => true,
						// In UI show results grouped by groups, default false
						'unique_values' => true,
						// In UI show results except selected. NB! You should manually check values in backend, default false
						'display_inline' => true,
						// In UI show results inline view, default false (each value in own line)
						'delay' => 500,
						// delay for search. default 500
						'auto_focus' => true,
						// auto focus input, default true
						'no_hide' => true,
						'sortable' => true,
						'values' => $product_sale
					),
					'description' => esc_html__( 'Enter product name/slug', 'love-pet' ),
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'love-pet' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'love-pet'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'love-pet' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'love-pet' ),
				),
			)
		));

		/*brand logo*/
		vc_map(array(
			'name' => esc_html__( 'Brand logo', 'love-pet' ),
			'icon' => get_template_directory_uri() . '/images/vc/brand.png',
			'base' => 'brand',
			'description' => esc_html__( 'Add a carousel image', 'love-pet' ),
			'category' => esc_html__('Love Pet Theme', 'love-pet'),
			'params' => array(
				/*post count*/
				array(
					'type' => 'attach_images',
					'heading' => esc_html__( 'Image(s)', 'love-pet' ),
					'admin_label' => true,
					'param_name' => 'data',
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'love-pet' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'love-pet'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'love-pet' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'love-pet' ),
				),
			)
		));

		/*lading page*/
		vc_map( array(
			'name'     => esc_html__( 'Landing', 'love-pet' ),
			'icon' => get_template_directory_uri() . '/images/vc/landing.png',
			'base'     => 'landing',
			'category' => esc_html__( 'Love Pet Theme', 'love-pet' ),
			'params'   => array(
				/*image attach*/
				array(
					'type'        => 'attach_image',
					'heading'     => esc_html__('Images', 'love-pet' ),
					'description' => esc_html__('Choose your images', 'love-pet'),
					'param_name'  => 'img',
				),
				/*link*/
				array(
					'type'        => 'vc_link',
					'heading'     => esc_html__('Link to product', 'love-pet' ),
					'description' => esc_html__('Enter your link', 'love-pet'),
					'param_name'  => 'pmlink',
					'value' => '#'
				),
				/*title*/
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Title', 'love-pet' ),
					'description' => esc_html__('Enter the title', 'love-pet'),
					'param_name'  => 'title',
					'admin_label' => true,
					'value' => 'Home v1'
				),
				/*readmore*/
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Text on mouse over for image', 'love-pet' ),
					'description' => esc_html__('Enter some text', 'love-pet'),
					'param_name'  => 'demo',
					'admin_label' => true,
					'value' => 'View demo'
				),
				/*disable hover*/
				array(
					'type'        => 'checkbox',
					'heading'     => esc_html__('Disable mouse over?', 'love-pet' ),
					'param_name'  => 'over',
					'value' => array(
						esc_html__('Yes', 'love-pet') => 'yes'
					),
					'std' => 'no'
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'love-pet' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'love-pet'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'love-pet' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'love-pet' ),
				),
			)
		));
    }
}