(function($) {

    "use strict";

    var HT = {};

    /*=============SHORTCODE===========*/

        /*plyr setup*/
            plyr.setup();
        /*testi-style*/
            $(".testi-style-1").slick({
                slidesToShow: 1,
                slidesToScroll: 1,
                arrows: false,
                dots: true,
                infinite: false,
                fade: false,
                vertical: true,
                verticalSwiping: true,
                responsive: [
                    {
                        breakpoint: 992,
                        settings: {
                            vertical: false,
                            verticalSwiping: false,
                        }
                    }
                ]
            });
            $(".testi-style-2").slick({
                slidesToShow: 1,
                slidesToScroll: 1,
                arrows: true,
                dots: false,
                infinite: false,
                fade: false,
                responsive: [
                    {
                        breakpoint: 992,
                        settings: {
                            vertical: false,
                            verticalSwiping: false,
                        }
                    }
                ]
            });
        /*blog news*/
            $(".theme-blog-sc-carousel").slick({
                slidesToShow: 3,
                slidesToScroll: 1,
                arrows: true,
                dots: false,
                infinite: false,
                fade: false,
                responsive: [
                    {
                        breakpoint: 992,
                        settings: {
                            slidesToShow: 3,
                            variableWidth: false
                        }
                    },
                    {
                        breakpoint: 768,
                        settings: {
                            slidesToShow: 2,
                            variableWidth: false
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            slidesToShow: 1,
                            variableWidth: false
                        }
                    }
                ]
            });
        /*gallery*/
            $(".ht-gallery-carousel").slick({
                slidesToShow: 4,
                slidesToScroll: 1,
                arrows: true,
                dots: false,
                infinite: false,
                fade: false,
                variableWidth: true,
                responsive: [
                    {
                        breakpoint: 992,
                        settings: {
                            slidesToShow: 3,
                            variableWidth: false
                        }
                    },
                    {
                        breakpoint: 768,
                        settings: {
                            slidesToShow: 2,
                            variableWidth: false
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            slidesToShow: 1,
                            variableWidth: false
                        }
                    }
                ]
            });
        /*pretty photo - galley*/
            $("a[data-gal^='prettyPhoto']").prettyPhoto({
                hook: 'data-gal',
                animation_speed: 'fast',
                opacity: 0.4,
                show_title: true,
                allow_resize: true,
                counter_separator_label: '/',
                overlay_gallery: true,
                social_tools: false,
                theme: 'light_square',
            });
        
        /*THEME GALLERY POST TYPE*/
            $(".theme-blog-crs").slick({
                slidesToShow: 1,
                slidesToScroll: 1,
                arrows: true,
                dots: false,
                infinite: false,
                fade: false,
                adaptiveHeight: true
            });
        /*accordion*/
            $(".theme-accordion").smk_Accordion({
                closeAble: false,
            });
        /*woocommerce widget product carousel*/
            $(".widget-pro-carousel").slick({
                slidesToShow: 1,
                rows: 3,
                slidesToScroll: 1,
                arrows: true,
                dots: false,
                infinite: false,
                fade: false,
                variableWidth: true,
                responsive: [
                    {
                        breakpoint: 992,
                        settings: {
                            slidesToShow: 1,
                            rows: 1,
                            variableWidth: false
                        }
                    }
                ]
            });
        /*product tab isotope*/
            HT.isotope = function(){
                var $container = $('.sc-pro-tab.sc-pro-has-filter');
                $('.sc-pro-filter').on('click', 'strong', function() {
                    $(this).addClass('is-checked').siblings().removeClass('is-checked');
                    var selector = $(this).attr('data-filter');
                    
                    $container.isotope({
                        filter: selector,
                        animationOptions: {
                            duration: 500,
                            easing: 'linear',
                            queue: false,
                        }
                    });
                    return false;
                });
                
                $container.isotope({
                    filter: '*',
                    animationOptions: {
                        duration: 500,
                        easing: 'linear',
                        queue: false,
                        layoutMode: 'fitRows'
                    }
                });
            }
        /*brand logo carousel*/
            HT.brand = function(){
                $('.theme-brand-crs').slick({
                    slidesToShow: 5,
                    slidesToScroll: 1,
                    arrows: true,
                    dots: false,
                    fade: false,
                    variableWidth: true,
                    responsive: [
                        {
                            breakpoint: 992,
                            settings: {
                                slidesToShow: 4,
                                variableWidth: false
                            }
                        },
                        {
                            breakpoint: 768,
                            settings: {
                                slidesToShow: 3,
                                variableWidth: false
                            }
                        },
                        {
                            breakpoint: 480,
                            settings: {
                                slidesToShow: 1,
                                variableWidth: false,
                                centerMode: true,
                            }
                        }
                    ]
                });
            }
    /*=============//SHORTCODE===========*/

    /*topbar on mobile*/
    HT.topbar_mobile = function () {
        $('#topbar-toggle').on('click', function () {
            $('.theme-topbar').slideToggle('fast');
        });
    }
    /*menu mobile*/
    HT.menu_mobile = function(){
        enquire.register("screen and (max-width:991px)", {
            match: function() {
                $('.primary-menu-box').ht_menu({
                    resizeWidth: '991',
                    initiallyVisible: false,
                    collapserTitle: '',
                    animSpeed: 'fast',
                    easingEffect: null,
                    indentChildren: false,
                    childrenIndenter: '&nbsp;&nbsp;',
                    expandIcon: '',
                    collapseIcon: ''
                });
            }
        });
    }
    /*search effect*/
    HT.header_search = function() {
        $('#ht-search-btn').on('click', function(){
            $('body').addClass('ht-search-open');
            $('#ht-search-field').focus();
        });
        $('#ht-search-close-btn').on('click', function(){
            $('body').removeClass('ht-search-open');
        });
    }
    /* Scroll to top */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 100) {
            $('.scroll-to-top').addClass('scroll-animation');
        } else {
            $('.scroll-to-top').removeClass('scroll-animation');
        }
    });
    $(".scroll-to-top").on('click', function () {
        $('html, body').animate({
            scrollTop: $("html").offset().top
        }, 300);
    });

    /*READY*/
    $(document).ready(function() {
        /*fix vc full row rtl*/
        $(document).on('vc-full-width-row', function () {
            var $elements = $('[data-vc-full-width="true"]');
            if($('body').hasClass('rtl')){
                $.each($elements, function () {
                    var $el = $(this);
                    $el.css('right', $el.css('left')).css('left', '');
                });
            }
        });
        /*Topbar on mobile*/
        HT.topbar_mobile();
        /*header search form*/
        HT.header_search();
        
    });

    /*LOAD*/
    $(window).load(function(){
        HT.menu_mobile();
        HT.isotope();
        HT.brand();
        /*loading effect*/
        $("#p-loading").fadeOut("slow");
        $(".p-circular").fadeOut();
        /*shop style switcher*/
            var index = Cookies.get('active') || '0';
            $(".switch-style").find('span').eq(index).addClass('active');
            if(index == '0'){
                /*grid style*/
                $('#shop-content-box').addClass('shop-content-grid').removeClass('shop-content-list');
            }else{
                /*list style*/
                $('#shop-content-box').removeClass('shop-content-grid').addClass('shop-content-list');
            }
            $('.switch-style').on('click', 'span', function (e) {
                e.preventDefault();
                $('.switch-style').find('span').removeClass('active');
                $(this).addClass('active');
                Cookies.set('active', $('.switch-style span').index(this), { expires: 1 });
            });
            $('.switch-style span:not(.active)').on('click', function (e) {
                location.reload();
            });
        /*input type date picker*/
        if($('input.ht-input-date').length > 0){
            $('input.ht-input-date').datepicker({
                dateFormat : 'mm/dd/yy'
            });
        }
    });

})(jQuery);