<?php
    $topbar_display = get_theme_mod( 'hd4_topbar_display', '0' );
    $topbar_content = get_theme_mod( 'hd4_topbar', '' );
?>
<header class="theme-header-layout header-layout-4" itemscope itemtype="http://schema.org/WPHeader">
    <?php if($topbar_display == '1' && !empty($topbar_content)): ?>
        <div class="theme-topbar">
            <div class="container">
                <?php foreach($topbar_content as $key):
                    echo '<div class="theme-topbar-item">' . wp_kses_post($key['tb_text']) . '</div>';
                endforeach; ?>
            </div>
        </div>
        <button id="topbar-toggle" class="ion-ios-arrow-down"></button>
    <?php endif; ?>
    <div class="theme-header-box">
        <div class="container">
            <?php love_pet_header_edit_location('hd4');/*header edit location*/ ?>
            <div class="theme-header-row-top">
                <?php love_pet_logo_image();/*logo*/ ?>
                <?php if(class_exists('Woocommerce')): ?>
                    <?php love_pet_advanced_search_form();/*advanced search form*/ ?>
                    <?php love_pet_shopping_cart();/*shopping cart*/ ?>
                <?php endif; ?>
            </div>
            <button class="ion-search mobile-search-btn" id="ht-search-btn"></button>
            <div class="theme-header-row-bot">
                <div class="primary-menu-box" itemscope itemtype="http://schema.org/SiteNavigationElement">
                    <span class="screen-reader-text">
                        <?php esc_html_e( 'Primary Menu', 'love-pet' ); ?>
                    </span>
                    <?php /*primary menu*/
                        if(has_nav_menu('primary')):
                            wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'theme-primary-menu', 'container' => '' ) );
                        else: ?>
                        <a class="add-menu-suggest" href="<?php echo esc_url( get_admin_url() . 'nav-menus.php' ); ?>"><?php esc_html_e( 'Add Menu', 'love-pet' ); ?></a>
                    <?php endif; ?>
                </div>
                <?php /*button*/
                    $hd4_btn = get_theme_mod( 'hd4_btn', '' );
                    $hd4_btn_icon = get_theme_mod( 'hd4_btn_icon', '' );
                    $hd4_btn_link = get_theme_mod( 'hd4_btn_link', '#' );
                    $icon = !empty($hd4_btn_icon) ? '<span class="'.$hd4_btn_icon.'"></span>' : '';
                    if($hd4_btn != ''){
                        echo '<a class="hd4-btn" href="'. esc_url($hd4_btn_link) .'">' . html_entity_decode($icon . $hd4_btn) . '</a>';
                } ?>
            </div>
        </div>
    </div>
    <?php get_template_part('page-templates/page', 'header');/* breadcrumbs */ ?>
</header>
<?php love_pet_search_form();/*search form*/ ?>