<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

/*not show if source empty*/
if(class_exists('Woocommerce')):

/*variable*/
$cat_arr = $arr = array();

/*filter*/
    $fil = '';
    if($filter == 'yes'){
        $fil = 'sc-pro-has-filter';
    }

/*column*/
    $col = $row = '';
    if($style == 'normal'){
        $row = 'row';
        if($column == '2'){
            $col = 'col-md-6';
        }elseif($column == '3'){
            $col = 'col-md-4';
        }else{
            $col = 'col-md-3';
        }
    }else{
        $col = 'sc-pro-tab-box';
        if($column == '2'){
            $row = 'ht-product-col-2';
        }elseif($column == '3'){
            $row = 'ht-product-col-3';
        }else{
            $row = 'ht-product-col-4';
        }
    }

/*categories*/
$categories = get_terms( 'product_cat' );
/*====================CATEGORIES===================*/
    /*slug categories*/
    $cat = explode(', ', $cats_data);
    /*get id-name-slug categories*/
    if( !empty( $cats_data ) ) {
        foreach( $categories as $key ) {
            if( in_array($key->slug, $cat) ) {
                $cat_arr[] = (object) array( 'id' => $key->term_id, 'name' => $key->name, 'slug' => $key->slug);
            }
        }
        $categories = $cat_arr;        
    }

/*====================PRODUCTS===================*/
    $pros_slug = explode(', ', $pros_data);

?>

<?php if($source == 'cat'):/*CATEGORY*/ ?>
    <?php /*filter*/
        if($style == 'tab' && $filter == 'yes'):
            echo '<div class="sc-pro-filter">';
                echo '<strong class="is-checked" data-filter="*">'. esc_html__('All', 'love-pet') .'</strong>'; 
                foreach( $categories as $key ):
                    echo '<strong data-filter=".' . esc_attr( $key->slug ) . '">' . esc_attr( $key->name ) . '</strong>';
                endforeach;
            echo '</div>';
        endif; /*end filter*/ ?>
    <div class="sc-pro sc-pro-<?php echo esc_attr($style.' '.$row.' '.$fil); ?><?php echo esc_attr($all_class); ?>">
        <?php foreach($cat_arr as $key){
            $all_post = get_posts(
                array(
                    'post_type' => 'product',
                    'posts_per_page' => -1,
                    'tax_query' => array(
                        array(
                            'taxonomy' => 'product_cat',
                            'field' => 'term_id',
                            'terms' => $key->id
                        )
                    )
                )
            );
            foreach($all_post as $key_arr){
                if(!in_array($key_arr->ID, $arr)){
                    array_push($arr, $key_arr->ID);
                }
            }
        }
        foreach($arr as $key):
            $post = get_post($key);
            $pid = $post->ID;

            $img_id = get_post_thumbnail_id($pid);
            $img_alt = (get_post_meta($img_id,'_wp_attachment_image_alt', true) != '') ? get_post_meta($img_id,'_wp_attachment_image_alt', true) : 'Product thumbnail';

            /*thumbnail*/
            $thumbnail = get_the_post_thumbnail_url($pid, 'thumbnail');
            if($style == 'tab'){
                if($column == '2'){
                    $thumbnail = get_the_post_thumbnail_url($pid, 'large');
                }elseif($column == '3'){
                    $thumbnail = get_the_post_thumbnail_url($pid, 'medium');
                }else{
                    $thumbnail = get_the_post_thumbnail_url($pid, 'thumbnail');
                }
            }

            /*product price*/
            $product = wc_get_product( $pid );
            $price = $product->get_price_html();

            /*product variables - select option*/
            $class_var = '';
            $var = new WC_Product_Variable( $pid);
            $variables = $var->get_available_variations();
            if(!empty($variables)){
                $class_var = 'sc-pro-var';
            }

            /*terms*/
            $terms_class = '';
            $terms = get_the_terms($pid, 'product_cat');
            if($terms && $style == 'tab' && $filter == 'yes'){
                foreach($terms as $key){
                    $terms_class .= ' ' . $key->slug;
                }
            } 
        ?>
            <div class="<?php echo esc_attr($col.' '.$terms_class); ?>">
                <div class="sc-pro-item <?php echo esc_attr($class_var); ?>">
                    <a href="<?php echo get_permalink($pid); ?>" class="sc-pro-img">
                        <img src="<?php echo esc_url($thumbnail); ?>" alt="<?php echo esc_attr($img_alt); ?>">
                    </a>
                    <div class="sc-pro-cont">
                        <?php if($style == 'tab'): ?>
                            <div class="sc-pro-terms">
                                <?php $i = 0; $leng = count($terms);
                                    foreach($terms as $key):
                                        if(++$i == $leng){
                                            echo '<a href="' . get_term_link( $key->slug, $key->taxonomy ) .' ">' . $key->name . '</a>';
                                        }else{
                                            echo '<a href="' . get_term_link( $key->slug, $key->taxonomy ) .' ">' . $key->name . '</a>, ';
                                        }
                                    endforeach; ?>
                            </div>
                        <?php endif; ?>
                        <h2 class="sc-pro-name">
                            <a href="<?php echo get_permalink($pid); ?>"><?php echo get_the_title($pid); ?></a>
                        </h2>
                        <?php if($style == 'normal'): ?>
                            <?php echo do_shortcode('[add_to_cart id="'.$pid.'"]'); ?>
                            <?php if(class_exists('YITH_WCWL')): ?>
                                <?php echo do_shortcode('[yith_wcwl_add_to_wishlist  product_id="'.$pid.'"]'); ?>
                            <?php endif; ?>
                        <?php else: ?>
                            <span class="sc-pro-price">
                                <?php echo wp_kses_post($price); ?>
                            </span>
                            <div class="sc-pro-action">
                                <a href="?add-to-cart=<?php echo esc_attr($pid); ?>" data-quantity="1" data-product_id="<?php echo esc_attr($pid); ?>" class="add_to_cart_button ajax_add_to_cart"><?php esc_html_e('Add to cart', 'love-pet'); ?></a>
                                <?php if(class_exists('YITH_WCWL')): ?>
                                    <?php echo do_shortcode('[yith_wcwl_add_to_wishlist  product_id="'.$pid.'"]'); ?>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        <?php endforeach; ?>
    </div>
<?php else:/*PRODUCT*/ ?>
    <?php /*filter*/
        if($style == 'tab' && $filter == 'yes'):
            echo '<div class="sc-pro-filter">';
                echo '<strong class="is-checked" data-filter="*">'. esc_html__('All', 'love-pet') .'</strong>'; 
                foreach( $categories as $key ):
                    echo '<strong data-filter=".' . esc_attr( $key->slug ) . '">' . esc_attr( $key->name ) . '</strong>';
                endforeach;
            echo '</div>';
        endif; /*end filter*/ ?>
    <div class="sc-pro sc-pro-<?php echo esc_attr($style.' '.$row.' '.$fil); ?><?php echo esc_attr($all_class); ?>">
        <?php foreach($pros_slug as $key):
            if( $post = get_page_by_path( $key, OBJECT, 'product' ) ){
                $pid = $post->ID;
                $img_id = get_post_thumbnail_id($pid);
                $img_alt = (get_post_meta($img_id,'_wp_attachment_image_alt', true) != '') ? get_post_meta($img_id,'_wp_attachment_image_alt', true) : 'Product thumbnail';
                
                /*thumbnail*/
                $thumbnail = get_the_post_thumbnail_url($pid, 'thumbnail');
                if($style == 'tab'){
                    if($column == '2'){
                        $thumbnail = get_the_post_thumbnail_url($pid, 'large');
                    }elseif($column == '3'){
                        $thumbnail = get_the_post_thumbnail_url($pid, 'medium');
                    }else{
                        $thumbnail = get_the_post_thumbnail_url($pid, 'thumbnail');
                    }
                }

                /*product price*/
                $product = wc_get_product( $pid );
                $price = $product->get_price_html();

                /*product variables - select option*/
                $class_var = '';
                $var = new WC_Product_Variable( $pid);
                $variables = $var->get_available_variations();
                if(!empty($variables)){
                    $class_var = 'sc-pro-var';
                }

                /*terms*/
                $terms_class = '';
                $terms = get_the_terms($pid, 'product_cat');
                if($terms && $style == 'tab' && $filter == 'yes'){
                    foreach($terms as $key){
                        $terms_class .= ' ' . $key->slug;
                    }
                } 
                } ?>
            <div class="<?php echo esc_attr($col.' '.$terms_class); ?>">
                <div class="sc-pro-item <?php echo esc_attr($class_var); ?>">
                    <a href="<?php echo get_permalink($pid); ?>" class="sc-pro-img">
                        <img src="<?php echo esc_url($thumbnail); ?>" alt="<?php echo esc_attr($img_alt); ?>">
                    </a>
                    <div class="sc-pro-cont">
                        <?php if($style == 'tab'): ?>
                            <div class="sc-pro-terms">
                                <?php $i = 0; $leng = count($terms);
                                    foreach($terms as $key):
                                        if(++$i == $leng){
                                            echo '<a href="' . get_term_link( $key->slug, $key->taxonomy ) .' ">' . $key->name . '</a>';
                                        }else{
                                            echo '<a href="' . get_term_link( $key->slug, $key->taxonomy ) .' ">' . $key->name . '</a>, ';
                                        }
                                    endforeach; ?>
                            </div>
                        <?php endif; ?>
                        <h2 class="sc-pro-name">
                            <a href="<?php echo get_permalink($pid); ?>"><?php echo get_the_title($pid); ?></a>
                        </h2>
                        <?php if($style == 'normal'): ?>
                            <?php echo do_shortcode('[add_to_cart id="'.$pid.'"]'); ?>
                            <?php if(class_exists('YITH_WCWL')): ?>
                                <?php echo do_shortcode('[yith_wcwl_add_to_wishlist  product_id="'.$pid.'"]'); ?>
                            <?php endif; ?>
                        <?php else: ?>
                            <span class="sc-pro-price">
                                <?php echo wp_kses_post($price); ?>
                            </span>
                            <div class="sc-pro-action">
                                <a href="?add-to-cart=<?php echo esc_attr($pid); ?>" data-quantity="1" data-product_id="<?php echo esc_attr($pid); ?>" class="add_to_cart_button ajax_add_to_cart"><?php esc_html_e('Add to cart', 'love-pet'); ?></a>
                                <?php if(class_exists('YITH_WCWL')): ?>
                                    <?php echo do_shortcode('[yith_wcwl_add_to_wishlist  product_id="'.$pid.'"]'); ?>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        <?php endforeach; ?>
    </div>
<?php endif; ?>
<?php endif; ?>