<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

/*column*/
$column = '';
if($col == '2'){
    $column = 'col-md-6';
}elseif($col == '3'){
    $column = 'col-md-4';
}else{
    $column = 'col-md-3';
}

/*categories*/
$categories = get_terms( 'product_cat' );
/*variable*/
$categories_arr = array();

$cats = explode(', ', $cats_data);

if( !empty( $cats_data ) ) {
    foreach( $categories as $key ) {
        if( in_array($key->slug, $cats) ) {
            $categories_arr[] = (object) array( 'id' => $key->term_id, 'name' => $key->name, 'slug' => $key->slug);
        }
    }
    $categories = $categories_arr;        
} ?>

<div class="sc-product-cat row <?php echo esc_attr($all_class); ?>">
    <?php foreach($categories_arr as $k):
        $img_id = get_woocommerce_term_meta( $k->id, 'thumbnail_id', true );
        $img_alt = (get_post_meta($img_id,'_wp_attachment_image_alt', true) != '') ? get_post_meta($img_id,'_wp_attachment_image_alt', true) : 'Ahihi thumbnail';
        $image = wp_get_attachment_url( $img_id );
        $cate = get_category($k->id);
        $count = $cate->category_count; ?>
        <div class="sc-product-cat-item <?php echo esc_attr($column); ?>">
            <?php if($image): ?>
                <div class="sc-product-cat-img">
                    <a href="<?php echo get_term_link($k->slug, 'product_cat'); ?>">
                        <img src="<?php echo esc_url($image); ?>" alt="<?php echo esc_attr($img_alt); ?>" />
                    </a>
                </div>
            <?php endif; ?>
            <div class="sc-product-cat-cont">
                <h3 class="sc-product-cat-name">
                    <a href="<?php echo get_term_link($k->slug, 'product_cat'); ?>"><?php echo esc_html($k->name); ?></a>
                </h3>
                <i class="sc-product-cat-desc"><?php echo esc_html($count); ?> <?php ($count > 1) ? esc_html_e('Products', 'love-pet') : esc_html_e('Product', 'love-pet'); ?></i>
            </div>
        </div>
    <?php endforeach; ?>
</div>