<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

if(class_exists('Woocommerce')):
    $pro_sale_slug = explode(', ', $pro_sale); ?>
    <div class="sc-pro-sale <?php echo esc_attr($all_class); ?>">
        <?php foreach($pro_sale_slug as $key):
            if( $post = get_page_by_path( $key, OBJECT, 'product' ) ){
                $pid = $post->ID;
                /*thumbnail*/
                $img_id = get_post_thumbnail_id($pid);
                $img_alt = (get_post_meta($img_id,'_wp_attachment_image_alt', true) != '') ? get_post_meta($img_id,'_wp_attachment_image_alt', true) : 'Product thumbnail';
                $thumbnail = get_the_post_thumbnail_url($pid, 'full');
                /*date sale*/
                $date_sale = ( $date = get_post_meta( $pid, '_sale_price_dates_to', true ) ) ? date_i18n( 'Y/m/d', $date ) : '';
                /*product price*/
                $product = wc_get_product( $pid );
                $price = $product->get_price_html();
                /*desc*/
                $short_desc = $product->get_short_description();
            } ?>
            <?php if(!empty($date_sale)): ?>
                <div class="sc-pro-count-item">
                    <?php if(!empty($thumbnail)): ?>
                        <a href="<?php echo get_permalink($pid); ?>" class="sc-pro-count-img">
                            <img src="<?php echo esc_url($thumbnail); ?>" alt="<?php echo esc_attr($img_alt); ?>">
                        </a>
                    <?php endif; ?>
                    <div class="sc-pro-count-cont">
                        <h5 class="sc-pro-count-name">
                            <a href="<?php echo get_permalink($pid); ?>"><?php echo get_the_title($pid); ?></a>
                        </h5>
                        <div class="sc-pro-count-price">
                            <?php echo wp_kses_post($price); ?>
                        </div>
                        <p class="sc-pro-count-desc"><?php echo esc_html($short_desc); ?></p>
                        <div class="sc-pro-count-time">
                            <div class="sc-pro-sale-time">
                                <strong class="days"></strong>
                                <span class="days_text"><?php esc_html_e('Days', 'love-pet'); ?></span>
                            </div>
                            <div class="sc-pro-sale-time">
                                <strong class="hours"></strong>
                                <span class="hours_text"><?php esc_html_e('Hours', 'love-pet'); ?></span>
                            </div>
                            <div class="sc-pro-sale-time">
                                <strong class="minutes"></strong>
                                <span class="minutes_text"><?php esc_html_e('Mins', 'love-pet'); ?></span>
                            </div>
                            <div class="sc-pro-sale-time">
                                <strong class="seconds"></strong>
                                <span class="seconds_text"><?php esc_html_e('Secs', 'love-pet'); ?></span>
                            </div>
                        </div>
                        <div class="sc-pro-count-action">
                            <a href="?add-to-cart=<?php echo esc_attr($pid); ?>" data-quantity="1" data-product_id="<?php echo esc_attr($pid); ?>" class="add_to_cart_button ajax_add_to_cart"><?php esc_html_e('Add to cart', 'love-pet'); ?></a>
                            <?php if(class_exists('YITH_WCWL')): ?>
                                <?php echo do_shortcode('[yith_wcwl_add_to_wishlist  product_id="'.$pid.'"]'); ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
        <?php endforeach; ?>

    </div>
    <script type="text/javascript">
        jQuery(document).ready(function(){
            jQuery('.sc-pro-count-time').countdown({
                date: '<?php echo esc_js($date_sale); ?> 23:59:59',
            }, function () {
                alert('Done!');
            });
        });
    </script>
<?php endif; ?>