<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$img = wp_get_attachment_image_src($atts["img"], 'full');

$attributes = '';
$a_href = '#';

$hover = ($over == 'yes') ? 'over-is-disable' : '';

/*link*/
if($pmlink != ''):
    $pmlink = vc_build_link( $pmlink );
    if ( strlen( $pmlink['url'] ) > 0 ) {
        $a_href = $pmlink['url'];
        $a_title = $pmlink['title'];
        $a_target = $pmlink['target'];
        $a_rel = $pmlink['rel'];
    }

    $attributes = array();
    
    $attributes[] = 'href="' . trim( $a_href ) . '"';
    if( ! empty( $a_title )){
        $attributes[] = 'title="' . esc_attr( trim( $a_title ) ) . '"';
    }
    if ( ! empty( $a_target ) ) {
        $attributes[] = 'target="' . esc_attr( trim( $a_target ) ) . '"';
    }
    if ( ! empty( $a_rel ) ) {
        $attributes[] = 'rel="' . esc_attr( trim( $a_rel ) ) . '"';
    }

    /*extract attributes*/
    $attributes = implode( ' ', $attributes );

endif; ?>

<div class="theme-landing-item<?php echo esc_attr($all_class); ?>">
    <a class="landing-img <?php echo esc_attr($hover); ?>" href="<?php echo esc_url($a_href); ?>" style="background-image: url(<?php echo esc_url($img[0]); ?>);">
        <span class="landing-animate-btn"><?php echo ($demo) ? esc_html($demo) : esc_html__('View demo', 'love-pet'); ?></span>
    </a>
    <a class="landing-title" <?php echo wp_kses_post($attributes); ?>><?php echo esc_html($title); ?></a>
</div>