<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

if(empty($count)) $count = -1;

$theme_class = $s1_no_thumb = $cate = $datetime = $has_thumbnail = '';
$z = -1;

if($style == 'style-1'){
    $theme_class = 'theme-col-' . $column;
}else{
    if($carousel == 'yes'){
        $theme_class = 'theme-blog-sc-carousel';
    }else{
        $theme_class = 'theme-col-3';
    }
    /*thumbnail*/
    if($thumbnail == 'yes'){
        $has_thumbnail = 'sc-news-has-thumbnail';
    }
}
?>

<div class="theme-blog-news blog-news-<?php echo esc_attr($style . ' ' . $has_thumbnail); ?> <?php echo esc_attr($theme_class); ?> <?php echo esc_attr($all_class); ?>">
    <?php /*query*/
        global $post;
        $query = new WP_Query('post_type=post&post_status=publish&ignore_sticky_posts=true&posts_per_page='.$count);
        if( $query->have_posts() ):
            while($query->have_posts()): $query->the_post();
            ++$z;
            /*thumbnail id*/
            $img_id = get_post_thumbnail_id($post->ID);
            $thumbnail = (!empty($img_id)) ? get_the_post_thumbnail_url($post->ID, 'medium') : (get_template_directory_uri() . '/images/thumbnail-default.jpg');
            $img_alt = (get_post_meta($img_id,'_wp_attachment_image_alt', true) != '') ? get_post_meta($img_id,'_wp_attachment_image_alt', true) : 'Blog thumbnail';
            if($style == 'style-1' && $z >= $column){
                $s1_no_thumb = 'no-thumbnail';
                $datetime = '<strong>' . get_the_date('d') . '</strong><span>' . get_the_date('F') . '</span>';
                $cate = love_pet_blog_categories();
            }
            ?>
    <article class="blog-news-item theme-col-item <?php echo esc_attr($s1_no_thumb); ?>" itemid="<?php echo get_permalink(); ?>" itemscope itemtype="http://schema.org/BlogPosting">
        <?php if($style == 'style-1' && $z >= $column): ?>
            <div class="news-style-1-date"><?php echo wp_kses_post($datetime); ?></div>
        <?php endif; ?>
        <div itemprop="mainEntityOfPage" class="flw">
            <?php /*Publisher*/ ?>
                <div itemprop="publisher" itemscope="itemscope" itemtype="https://schema.org/Organization">
                    <div itemprop="logo" itemscope="itemscope" itemtype="https://schema.org/ImageObject">
                        <meta itemprop="url" content="<?php echo esc_url(home_url('/')); ?>" />
                        <meta itemprop="width" content="100" />
                        <meta itemprop="height" content="100" />
                    </div>
                    <meta itemprop="name" content="<?php the_author(); ?>" />
                </div>
            <?php /*Modified date*/ ?>
                <span itemprop="dateModified" class="screen-reader-text">
                    <time datetime="<?php echo esc_attr( get_the_modified_time( 'Y-m-d' ) ); ?>">
                        <?php the_modified_date(); ?>
                    </time>
                </span>
            <?php /*datePublished*/ ?>
                <span class="screen-reader-text" itemprop="datePublished" content="<?php echo get_the_time('c'); ?>"><?php echo get_the_time('c'); ?></span>
            <?php /*//Modified date*/ ?>
                <span class="screen-reader-text" itemprop="author"><?php the_author(); ?></span>
            <?php /*thumbnail*/ ?>
                <a class="sc-blog-news-img" href="<?php echo the_permalink(); ?>" itemprop="image" itemscope itemtype="http://schema.org/ImageObject">
                    <img src="<?php echo esc_url($thumbnail); ?>" alt="<?php echo esc_attr($img_alt); ?>">
                    <meta itemprop="url" content="<?php echo esc_url($thumbnail); ?>" />
                    <meta itemprop="width" content="370" />
                    <meta itemprop="height" content="270" />
                </a>
            <?php /*blog info*/ ?>
            <div class="post-content">
                <?php
                    $pt = get_the_title();
                    $post_title = !empty($pt) ? get_the_title() : 'This post has no title';
                ?>
                <h2 class="post-tit" itemprop="headline">
                    <a itemprop="url" href="<?php the_permalink(); ?>"><?php echo esc_html($post_title); ?></a>
                </h2>
                <div class="news-cates"><?php echo wp_kses_post($cate); ?></div>
                <div class="list-post-info"><?php echo love_pet_post_date(); ?></div>
                <p class="blog-post-sumary" itemprop="description"><?php echo wp_trim_words(get_the_content(), 20, '...'); ?></p>
                <div class="post-author">
                    <?php if($style == 'style-2'): ?>
                        <strong class="author-av"><?php echo get_avatar( get_the_author_meta( 'ID' ), 32 ); ?></strong>
                    <?php endif; ?>
                    <strong class="author-name" itemprop="author"><?php esc_html_e('By', 'love-pet'); ?> <?php the_author_posts_link(); ?></strong>
                </div>
            </div>
        </div>
    </article>
    <?php
        endwhile;
        endif;
        /*reset query*/
        wp_reset_postdata();
    ?>
</div>