<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$theme_col = ($style == 'grid') ? 'theme-col-3' : '';
$data_cat = explode(', ', $data_cat);

if($count != ''): ?>
    <div class="theme-services <?php echo esc_attr($theme_col); ?> service-<?php echo esc_attr($style); ?> <?php echo esc_attr($all_class); ?>">
        <?php
            /*query*/
            $args = array(
                'post_type' => 'ht-service',
                'post_status' => 'publish',
                'ignore_sticky_posts' => 1,
                'posts_per_page' => $count
            );
            /**/
            if ( ! empty($data_cat[0]) ):
                $args['tax_query'] =array(
                    array(
                        'taxonomy' => 'ht-service-filter',
                        'field' => 'slug',
                        'terms' => $data_cat,
                    )
                );
            endif;

            $_query = new WP_Query($args);
            
            if( $_query->have_posts() ):
                while($_query->have_posts()): $_query->the_post();
                global $post;
                /*thumbnail id*/
                $price = fw_get_db_post_option($post->ID, 'price');
                $unit = fw_get_db_post_option($post->ID, 'unit');
                $feature = fw_get_db_post_option($post->ID, 'feature');

                $img_id  = get_post_thumbnail_id($post->ID);
                $thumbnail = get_the_post_thumbnail_url($post->ID);
                $img_alt = (get_post_meta($img_id,'_wp_attachment_image_alt', true) != '') ? get_post_meta($img_id,'_wp_attachment_image_alt', true) : 'Service image thumbnail'; ?>
        <div class="theme-service-item theme-col-item">
            <?php if(!empty($img_id)): ?>
                <a class="service-img" href="<?php the_permalink(); ?>">
                    <img src="<?php echo esc_url($thumbnail); ?>" alt="<?php echo esc_attr($img_alt); ?>">
                </a>
            <?php endif; ?>
            <div class="service-content">
                <h4 class="service-title">
                    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                </h4>
                <?php if($style == 'grid'): ?>
                    <i class="service-price"><?php echo '<sup>' . esc_html($unit) . '</sup>' . esc_html($price); ?></i>
                <?php endif; ?>
                <p class="service-desc"><?php echo love_pet_excerpt(20); ?></p>
                <?php if($style == 'list'): ?>
                    <?php if(!empty($feature)):
                        echo '<ul class="service-list-pet">';
                        foreach($feature as $key){
                            echo '<li>' . esc_html($key) . '</li>';
                        }
                        echo '</ul>';
                    endif; ?>
                    <a href="<?php the_permalink(); ?>" class="service-more"><?php esc_html_e('View detail', 'love-pet'); ?></a>
                <?php endif; ?>
            </div>
        </div>
        <?php
            endwhile;
            /*reset query*/
            wp_reset_postdata();
            endif;
        ?>
    </div>
<?php endif; ?>