<?php

/**
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.4.0
 */

if ( ! defined( 'ABSPATH' ) ) exit;

get_header(); ?>
	<main id="main" class="woo-list flw">
		<div class="container">
			<div id="sidebar-shop">
				<?php if(is_active_sidebar('shop-widget')) dynamic_sidebar('shop-widget'); ?>
			</div>
			<div id="content-shop">
				<?php if ( have_posts() ) : ?>
					<div class="shop-content-top flw">
						<?php do_action( 'woocommerce_before_shop_loop' ); ?>
						<div class="switch-style">
							<span class="ss-action ion-ios-keypad"></span>
							<span class="ss-action fa fa-list-ul"></span>
						</div>
					</div>
					<div id="shop-content-box">
					<?php woocommerce_product_loop_start();
						woocommerce_product_subcategories();
							while ( have_posts() ) : the_post();
								do_action( 'woocommerce_shop_loop' );
								wc_get_template_part( 'content', 'product' );
							endwhile;
						woocommerce_product_loop_end();
					echo '</div>';
					do_action( 'woocommerce_after_shop_loop' );
				elseif ( ! woocommerce_product_subcategories(
					array(
						'before' => woocommerce_product_loop_start( false ),
						'after' => woocommerce_product_loop_end( false ) 
					))) :
					do_action( 'woocommerce_no_products_found' );
				endif; ?>
			</div>
		</div>
	</main>
<?php get_footer(); ?>
