<?php
/**
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) exit;
$fw_page_layout = ( function_exists('fw_ext_sidebars_get_current_position') ) ? fw_ext_sidebars_get_current_position() : 'default';

get_header(); ?>
	<main id="main" class="woo-single flw">
		<div class="container">
            <?php switch ($fw_page_layout){
                /*sidebar left*/
                case 'left':
                    echo '<div id="sidebar-shop" class="sidebar-inleft">';
                        get_sidebar('content');
                    echo '</div>';

                    echo '<div id="content-shop">';
                        while ( have_posts() ) : the_post();
                            wc_get_template_part( 'content', 'single-product' );
                        endwhile;
                    echo '</div>';
                    break;
                /*sidebar right*/
                case 'right':
                    echo '<div id="content-shop" class="content-inleft">';
                        while ( have_posts() ) : the_post();
                            wc_get_template_part( 'content', 'single-product' );
                        endwhile;
                    echo '</div>';

                    echo '<div id="sidebar-shop">';
                        get_sidebar('content');
                    echo '</div>';
                    break;
                /*not sidebar*/
                case 'full':
                default:
                    echo '<div id="content-shop">';
                        while ( have_posts() ) : the_post();
                            wc_get_template_part( 'content', 'single-product' );
                        endwhile;
                    echo '</div>';
                    break;
            } ?>
			</div>
		</div>
	</main>
<?php get_footer();
